﻿/// <reference path="SelectorViewModel.js" />


function ColorSelexted(args) {
    //document.getElementById("fillicon").style.color = args.style.backgroundColor;

    var diagram = $("#DiagramContent").ejDiagram("instance");
}

$(function () {
    $('#aspectratioCheckBox').ejCheckBox({
        size: "small",
        change: function (args) {
            PropertyChangesFromPanel(args, "aspectRatio")
        }
    });
});


$(function () {
    $('#fillColor').ejDropDownList({
        targetID: "fillColorDiv",
        width: "180px",
        popupHeight: "420px",
        popupShown: function (args) {
            dropdownOpened(this);
        },
        popupHide: function (args) {
            dropdownClosed(this);
        }
    });
});

$(function () {

    $("#widthnumeric").ejNumericTextbox({
        name: "widthnumeric",
        value: 35,
        change: function (args) {
            if (diagram._selectedObject.dimensionsChanged) {
                diagram._modified = true;
                setNodeSizeAndDimensionsToNode(args, "width");
            }
        },
        focusIn: function (args) {
            diagram._selectedObject.dimensionsChanged = true;
        }
    });
});

$(function () {

    $("#heightnumeric").ejNumericTextbox({
        name: "heightnumeric",
        value: 35,
        change: function (args) {
            if (diagram._selectedObject.dimensionsChanged) {
                diagram._modified = true;
                setNodeSizeAndDimensionsToNode(args, "height");
            }
        },
        focusIn: function (args) {
            diagram._selectedObject.dimensionsChanged = true;
        }
    });
});

$(function () {

    $("#offsetxnumeric").ejNumericTextbox({
        name: "offsetxnumeric",
        value: 35,
        change: function (args) {
            if (diagram._selectedObject.dimensionsChanged) {
                diagram._modified = true;
                setNodeSizeAndDimensionsToNode(args, "pinX");
            }
        },
        focusIn: function (args) {
            diagram._selectedObject.dimensionsChanged = true;
        }
    });
});

$(function () {

    $("#offsetynumeric").ejNumericTextbox({
        name: "offsetynumeric",
        value: 35,
        change: function (args) {
            if (diagram._selectedObject.dimensionsChanged) {
                diagram._modified = true;
                setNodeSizeAndDimensionsToNode(args, "pinY");
            }
        },
        focusIn: function (args) {
            diagram._selectedObject.dimensionsChanged = true;
        }
    });
});

//$(function () {

//    $("#artBoardWidth").ejNumericTextbox({
//        name: "artBoardWidth",
//        change: function (args) {
//            diagram.model.pageSettings.pageWidth = args.value;
//            diagram.updateViewPort();
//        }
//    });
//});
$(function () {

    $("#opacity").ejSlider({
        sliderType: ej.SliderType.MinRange, minValue: 0,
        maxValue: 100, incrementStep: 1,
        slide: function (args) {
            PropertyChangesFromPanel(args, "Opacity");
        },
        change: function (args) {
            if (diagram._selectedObject.opacity != args.value) {
                PropertyChangesFromPanel(args, "Opacity");
            }
        }
    });
});
//$(function () {

//    $("#artBoardHeight").ejNumericTextbox({
//        name: "artBoardHeight",
//        change: function (args) {
//            diagram.model.pageSettings.pageHeight = args.value;
//            diagram.updateViewPort();
//        }
//    });
//});


$(function () {
    $('#stroke').ejDropDownList({
        targetID: "strokeDiv",
        width: "180px",
        popupHeight: "420px",
        popupShown: function (args) {
            dropdownOpened(this);
        },
        popupHide: function (args) {
            dropdownClosed(this);
        }
    });
});



$(function () {
    $('#borderWidth').ejDropDownList({
        targetID: "borderWidthDiv",
        width: "120px",
        popupHeight: "300px",
        select: function (args) {
            if (diagram.selectionList[0].shape) {
                if (diagram.selectionList[0].borderWidth != Number(String(args.text).substring(0, args.text.length - 3))) {
                    PropertyChangesFromPanel(args, "borderWidth");
                }
            }
            else if (diagram.selectionList[0] && (diagram.selectionList[0].isPseudoGroup || diagram.selectionList[0].isGroup)) {
                PropertyChangesFromPanel(args, "borderWidth");
            }
        },
        popupShown: function (args) {
            dropdownOpened(this);
        },
        popupHide: function (args) {
            dropdownClosed(this);
        }
    });

    $(function () {
        $('#lineColor').ejDropDownList({
            targetID: "lineColorDiv",
            width: "180px",
            popupHeight: "420px",
            popupShown: function (args) {
                dropdownOpened(this);
            },
            popupHide: function (args) {
                dropdownClosed(this);
            }
        });
    });
});

$(function () {
    var fontStylepopUpOpened = false;
    $('#fontStylelist').ejDropDownList({
        targetID: "fontStylelistDiv",
        width: "150px",
        popupHeight: "300px",
        select: function (args) {
            if (fontStylepopUpOpened)
                PropertyChangesFromPanel(args, "fontFamily");
        },
        popupShown: function (args) {
            fontStylepopUpOpened = true;
        },
        popupHide: function (args) {
            fontStylepopUpOpened = false;
        }
    });
});

$(function () {
    var fontSizepopUpOpened = false;
    $('#fontsizelist').ejDropDownList({
        targetID: "fontsizelistDiv",
        width: "55px",
        popupHeight: "280px",
        select: function (args) {
            if (fontSizepopUpOpened)
                PropertyChangesFromPanel(args, "fontSize");
        },
        popupShown: function (args) {
            fontSizepopUpOpened = true;
        },
        popupHide: function (args) {
            fontSizepopUpOpened = false;
        }
    });
});

$(function () {
    $('#fontColor').ejDropDownList({
        targetID: "fontColorDiv",
        width: "180px",
        popupHeight: "420px",
        popupShown: function (args) {
            dropdownOpened(this);
        },
        popupHide: function (args) {
            dropdownClosed(this);
        }
    });
});

$(function () {
    $('#linecolor').ejDropDownList({
        targetID: "linecolorDiv",
        width: "175px"
    });
});

$(function () {
    $('#fontsize').ejDropDownList({
        targetID: "fontsizeDiv",
        width: "125px"
    });
});

//$(function () {
//    $('#linewidth').ejDropDownList({
//        targetID: "linewidthDiv",
//        width: "125px",
//        popupShown: function (args) {
//            dropdownOpened(this);
//        },
//        popupHide: function (args) {
//            dropdownClosed(this);
//        }
//    });
//});

$(function () {
    $('#line').ejDropDownList({
        targetID: "lineDiv",
        width: "125px",
        select: function (args) {
            PropertyChangesFromPanel(args, "ConnectorType");
        },
        popupShown: function (args) {
            dropdownOpened(this);
        },
        popupHide: function (args) {
            dropdownClosed(this);
        }
    });
});

$(function () {
    $('#lineStyle').ejDropDownList({
        targetID: "lineStyleDiv",
        width: "125px",
        select: function (args) {
            PropertyChangesFromPanel(args, "LineStyle");
        },
        popupShown: function (args) {
            dropdownOpened(this);
        },
        popupHide: function (args) {
            dropdownClosed(this);
        }
    });
});


$(function () {
    $('#labelBorderColor').ejDropDownList({
        targetID: "labelBorderColorDiv",
        width: "175px"
    });
});

$(function () {
    $('#labelFillColor').ejDropDownList({
        targetID: "labelFillColorDiv",
        width: "175px"
    });
});

$(function () {
    $('#lineWidth').ejDropDownList({
        targetID: "lineWidthDiv",
        width: "125px",
        popupHeight: "300px",
        select: function (args) {
            if (diagram.selectionList[0].segments) {
                if (diagram.selectionList[0].lineWidth != Number(String(args.text).substring(0, args.text.length - 3))) {
                    PropertyChangesFromPanel(args, "LineWidth");
                }
            }
            else if (diagram.selectionList[0] && (diagram.selectionList[0].isPseudoGroup || diagram.selectionList[0].isGroup)) {
                PropertyChangesFromPanel(args, "LineWidth");
            }
        },
        popupShown: function (args) {
            dropdownOpened(this);
        },
        popupHide: function (args) {
            dropdownClosed(this);
        }
    });
});

$(function () {
    var open = false;
    $('#headDecorator').ejDropDownList({
        targetID: "headDecoratorDiv",
        width: "60px",
        popupHeight: "350px",
        select: function (args) {
            if (open)
                PropertyChangesFromPanel(args, "HeadDecorator");
        },
        popupShown: function (args) {
            open = true;
            dropdownOpened(this);
        },
        popupHide: function (args) {
            open = false;
            dropdownClosed(this);
        }
    });
});

$(function () {
    $('#tailDecorator').ejDropDownList({
        targetID: "tailDecoratorDiv",
        width: "60px",
        popupHeight: "350px",
        select: function (args) {
            PropertyChangesFromPanel(args, "TailDecorator");
        },
        popupShown: function (args) {
            dropdownOpened(this);
        },
        popupHide: function (args) {
            dropdownClosed(this);
        }
    });
});


$(function () {
    // declaration
    $("#tabitems").ejTab(
        {

            selectedItemIndex: 1,
            itemActive: function (args) {
                var diagram = $("#DiagramContent").ejDiagram("instance");
                if (diagram._selectedObject == undefined) {
                    diagram._selectedObject = new SelectorVMClass();

                }
                tabItemChanged(args, this);
            }

            //beforeActive: function (args) {
            //    if (args.newSelectedIndex == 0) {
            //        $('#main-right').css('width', '63%');
            //        if (DiagramPin)
            //            DiagramPin = false;
            //        else
            //            DiagramPin = true;

            //        //args.cancel;
            //        $("#tabitems").ejTab(
            //            {
            //                selectedItemIndex: args.oldSelectedIndex
            //            });
            //    }

            //}


        });
});



$(document).ready(function () {
    $(".icon-Pi__Line-Width").css('color', '#7F7F7F');
    $(".icon-Pi__Text-CenterAlgin").css('color', '#7F7F7F');
    $(".icon-Pi__Tail").css('color', '#7F7F7F');
    $(".icon-Pi__Bold").css('color', '#7F7F7F');
    $(".icon-Pi__Connector1").css('color', '#7F7F7F');
    $(".icon-Pi__lock").css('color', '#7F7F7F');
    $(".icon-Pi__shadow").css('color', '#7F7F7F');
    $(".icon-Pi__Line-Style").css('color', '#7F7F7F');
    $(".icon-Pi__Italic").css('color', '#7F7F7F');
    $(".icon-Pi__Head").css('color', '#7F7F7F');
    $(".icon-Pi__Credient").css('color', '#7F7F7F');
});

function EnableNodeDropDown(item) {
    if (item.shape.type == "text") {
        $("#fillColor").ejDropDownList("disable");
    }
    else
        $("#fillColor").ejDropDownList("enable");
    $("#stroke").ejDropDownList("enable");
    $("#borderWidth").ejDropDownList("enable");
    $("#fontColor").ejDropDownList("enable");
    $("#fontsizelist").ejDropDownList("enable");
    $("#fontStylelist").ejDropDownList("enable");
    var offsetXbox = $("#offsetxnumeric").data("ejNumericTextbox");
    offsetXbox.enable();
    var offsetYbox = $("#offsetynumeric").data("ejNumericTextbox");
    offsetYbox.enable();
    var heightbox = $("#heightnumeric").data("ejNumericTextbox");
    heightbox.enable();
    var widthbox = $("#widthnumeric").data("ejNumericTextbox");
    widthbox.enable();
    $("#aspectratioCheckBox").ejCheckBox("enable");
}

function EnableConnectorDropDown() {
    $("#lineColor").ejDropDownList("enable");
    $("#line").ejDropDownList("enable");
    $("#lineWidth").ejDropDownList("enable");
    $("#headDecorator").ejDropDownList("enable");
    $("#tailDecorator").ejDropDownList("enable");
    $("#fontColor").ejDropDownList("enable");
    $("#lineStyle").ejDropDownList("enable");
    $("#fontsizelist").ejDropDownList("enable");
    $("#fontStylelist").ejDropDownList("enable");
}
function DisableState(dropdownId) {

    $("#" + dropdownId).ejDropDownList("disable");
}

function DisableNumericTextbox(id) {
    var numObj = $("#" + id).data("ejNumericTextbox");
    numObj.disable();
}

function DisableCheckBox(id) {
    $("#" + id).ejCheckBox("disable");
}


