﻿
//Controls List
window.SampleControls = [{ "name": "Chart" }, { "name": "Pdf" }, { "name": "XlsIO" }, { "name": "DocIO" }, { "name": "BulletGraph" }, { "name": "RangeNavigator" },
   { "name": "Grid" }, { "name": "Diagram" }, { "name": "Gantt" }, { "name": "TreeGrid" }, { "name": "RichTextEditor" }, { "name": "TreeView" }, { "name": "DatePicker" }, { "name": "TimePicker" }, { "name": "DateTimePicker" },
   { "name": "OlapClient" }, { "name": "OlapGrid" }, { "name": "OlapChart" }, { "name": "OlapGauge" },
   { "name": "Textboxes" }, { "name": "AutoComplete" }, { "name": "Rotator" }, { "name": "Tab" }, { "name": "Menu" }, { "name": "Barcode" }, { "name": "Accordion" },
   { "name": "ProgressBar" }, { "name": "Rating" }, { "name": "DropDownList" }, { "name": "Slider" }, { "name": "Splitter" },
   { "name": "TagCloud" }, { "name": "Buttons" }, { "name": "Toolbar" }, { "name": "WaitingPopup" }, { "name": "Dialog" }, { "name": "ScrollBar" }, { "name": "Maps" }, { "name": "TreeMap" }, { "name": "CircularGauge" }, { "name": "DigitalGauge" }, { "name": "LinearGauge" }, { "name": "UploadBox" }

];
//Samples List
window.SamplesList = [

    {
        "name": "Chart",
        "id": "Chart",
        "childcount": "1",
        "action": "DefaultFunctionalities",
		"type" : "update",
        "samples": [
            { "id": "1", "name": "Line Chart", "action": "DefaultFunctionalities", "childcount": "0" },
            { "id": "2", "name": "StepLine Chart", "action": "StepLine", "childcount": "0" },
            { "id": "3", "name": "Area Chart", "action": "Area", "childcount": "0" },
            { "id": "4", "name": "StepArea Chart", "action": "StepArea", "childcount": "0" },
            { "id": "5", "name": "SplineArea Chart", "action": "SplineArea", "childcount": "0" },
            { "id": "6", "name": "StackingArea Chart", "action": "StackingArea", "childcount": "0" },
            { "id": "7", "name": "Column Chart", "action": "Column", "childcount": "0" },
            { "id": "8", "name": "RangeColumn Chart", "action": "RangeColumn", "childcount": "0" },
            { "id": "9", "name": "StackingColumn Chart", "action": "StackingColumn", "childcount": "0" },
            { "id": "10", "name": "Bar Chart", "action": "Bar", "childcount": "0" },
            { "id": "11", "name": "StackingBar Chart", "action": "StackingBar", "childcount": "0" },
            { "id": "12", "name": "Spline Chart", "action": "Spline", "childcount": "0" },
            { "id": "13", "name": "Pie Chart", "action": "Pie", "childcount": "0" },
            { "id": "14", "name": "Doughnut Chart", "action": "doughnut", "childcount": "0" },
            { "id": "15", "name": "Pyramid Chart", "action": "Pyramid", "childcount": "0" },
            { "id": "16", "name": "Bubble Chart", "action": "Bubble", "childcount": "0" },
            { "id": "17", "name": "Scatter Chart", "action": "Scatter", "childcount": "0" },
            { "id": "18", "name": "Candle Chart", "action": "Candle", "childcount": "0" },
            { "id": "19", "name": "Hilo Chart", "action": "Hilo", "childcount": "0" },
            { "id": "20", "name": "HiloOpenClose Chart", "action": "HiloOpenClose", "childcount": "0" },
			{ "id": "21", "name": "Polar Chart", "action": "Polar", "childcount": "0", "type" : "new" },
             { "id": "22", "name": "Radar Chart", "action": "Radar", "childcount": "0", "type" : "new" },
             { "id": "23", "name": "Wind Rose", "action": "Windrose", "childcount": "0", "type" : "new" },
             { "id": "24", "name": "Combination Chart", "action": "Combination", "childcount": "0" },
             { "id": "25", "name": "Live Chart", "action": "Live", "childcount": "0" },
             { "id": "26", "name": "Export", "action": "Export", "childcount": "0" },
            {
                "id": "27", "name": "Chart Axes", "action": "MultipleAxes", "childcount": "1", "type" : "update", samples: [
                     //second hierarchy
                      { "id": "271", "name": "Multiple Axes", "action": "MultipleAxes", "childcount": "0" },
                      { "id": "272", "name": "Stripline", "action": "StriplineSample", "childcount": "0" },
                      { "id": "273", "name": "DateTime Axis", "action": "DateTimeAxis", "childcount": "0" },
                      { "id": "274", "name": "Log Axis", "action": "LogAxis", "childcount": "0" },
					  { "id": "275", "name": "Smart Axis Labels", "action": "SmartAxisLabel", "childcount": "0", "type" : "update" },
                      { "id": "276", "name": "Felxible Axis Layout", "action": "FlexibleAxis", "childcount": "0" },
                      { "id": "277", "name": "Inversed Axis", "action": "InversedAxis", "childcount": "0" }]
            },
            {
                "id": "28", "name": "Chart Customization", "action": "Symbols", "childcount": "1", samples: [
                //second hierarchy
                       { "id": "281", "name": "Symbols", "action": "Symbols", "childcount": "0" },
                       { "id": "282", "name": "Empty Points", "action": "EmptyPoints", "childcount": "0" },
                       { "id": "283", "name": "Tooltip Template", "action": "TooltipTemplate", "childcount": "0" },
                       { "id": "284", "name": "Label Template", "action": "LabelTemplate", "childcount": "0" },
                       { "id": "285", "name": "Legend Position", "action": "LegendPosition1", "childcount": "0" },
                       { "id": "286", "name": "Localization", "action": "Localization", "childcount": "0" }]
            },
            {
                "id": "29", "name": "Data Binding", "action": "LocalBinding", "childcount": "1", samples: [
                //second hierarchy
                      { "id": "291", "name": "Local Binding", "action": "LocalBinding", "childcount": "0" },
                      { "id": "292", "name": "Remote Binding", "action": "RemoteBinding", "childcount": "0" },
                      { "id": "293", "name": "KO Support", "action": "KOBinding", "childcount": "0" },
                      { "id": "294", "name": "Angular Support", "action": "AngularBinding", "childcount": "0" },
                      { "id": "295", "name": "Access Binding", "action": "AccessDataBinding", "childcount": "0" },
                      { "id": "296", "name": "Object Binding", "action": "ObjectBinding", "childcount": "0" },
                      { "id": "297", "name": "SQL Binding", "action": "SQLBinding", "childcount": "0" },
                      { "id": "298", "name": "XML Binding", "action": "XmlBinding", "childcount": "0" },
                ]
            },
            {
                "id": "30", "name": "User Interaction", "action": "Zooming", "childcount": "1", samples: [
                //second hierarchy
                       { "id": "301", "name": "Zooming and Panning", "action": "Zooming", "childcount": "0" },
                       { "id": "302", "name": "Crosshair", "action": "Crosshair", "childcount": "0" },
                       { "id": "303", "name": "Trackball", "action": "Trackball", "childcount": "0" },
                       { "id": "304", "name": "Events", "action": "Events", "childcount": "0" },
                       { "id": "305", "name": "Drill Down", "action": "Drilldown", "childcount": "0" }]
            }
        ]
    },



    {
        "name": "Grid",
        "id": "Grid",
        "childcount": "1",
        "action": "DefaultFunctionalities",
        "samples": [
            {
                "id": "1", "name": "Default", "action": "DefaultFunctionalities", "childcount": "0"
            },
            {
                "id": "2", "name": "Data Binding", "action": "LocalBinding", "childcount": "1",
                "samples": [
                    { "id": "1", "name": "Local Data", "action": "LocalBinding", "childcount": "0" },
                    { "id": "2", "name": "Remote Data", "action": "UrlBinding", "childcount": "0" },
                    { "id": "3", "name": "Table", "action": "TableBinding", "childcount": "0" },
                    { "id": "4", "name": "Load at once", "action": "LoadAtOnce", "childcount": "0" },
                    { "id": "5", "name": "Object Data", "action": "ObjectBinding", "childcount": "0" },
                    { "id": "6", "name": "SQL Data", "action": "SQLBinding", "childcount": "0" },
                    { "id": "7", "name": "XML Data", "action": "XMLBinding", "childcount": "0" }
                ]
            },
            {
                "id": "3", "name": "Columns", "action": "ColumnFormatting", "childcount": "1",
                "samples": [
                    { "id": "1", "name": "Column Formatting", "action": "ColumnFormatting", "childcount": "0" },
                    { "id": "2", "name": "Cell Alignment", "action": "CellAlignment", "childcount": "0" },
                    { "id": "3", "name": "Reorder", "action": "Reorder", "childcount": "0" },
                    { "id": "4", "name": "Resize", "action": "Resizing", "childcount": "0" },
                    { "id": "5", "name": "Resize to Fit", "action": "ResizetoFit", "childcount": "0" },
                    { "id": "6", "name": "Custom Command", "action": "CustomCommand", "childcount": "0" },
                    { "id": "7", "name": "Column Template", "action": "ColumnTemplate", "childcount": "0" },
                    { "id": "8", "name": "Header Template", "action": "HeaderTemplate", "childcount": "0" },
                    { "id": "9", "name": "Show or Hide Column", "action": "ShowHideColumn", "childcount": "0" },
                    { "id": "10", "name": "Foreign Key Column", "action": "ForeignKeyColumn", "childcount": "0" },
                    { "id": "11", "name": "Frozen Rows and Columns", "action": "FrozenRowsandColumns", "childcount": "0" }
                ]
            },
            {
                "id": "4", "name": "Rows", "action": "RowTemplate", "childcount": "1",
                "samples": [
                    { "id": "1", "name": "Row Template", "action": "RowTemplate", "childcount": "0" },
                    { "id": "2", "name": "Detail Template", "action": "DetailTemplate", "childcount": "0" },
                    { "id": "3", "name": "Row Hover", "action": "RowHover", "childcount": "0" }
                ]
            },
            {
                "id": "5", "name": "Editing", "action": "InlineOnLocalData", "childcount": "1",
                "samples": [
                    { "id": "1", "name": "Inline on local data", "action": "InlineOnLocalData", "childcount": "0" },
                    { "id": "2", "name": "Dialog on local data", "action": "DialogOnLocalData", "childcount": "0" },
                    { "id": "3", "name": "Inline form on local data", "action": "InlineFormOnLocalData", "childcount": "0" },
                    { "id": "4", "name": "External form on local data", "action": "ExternalFormOnLocalData", "childcount": "0" },
                    { "id": "5", "name": "Cell Edit Type", "action": "CellEditType", "childcount": "0" },
                    { "id": "6", "name": "Batch Editing", "action": "BatchEditing", "childcount": "0" },
                    { "id": "7", "name": "Lock Row", "action": "LockRow", "childcount": "0" },
                    { "id": "8", "name": "Command Column", "action": "CommandColumn", "childcount": "0" }
                ]
            },
            {
                "id": "6", "name": "Sorting", "action": "MultiSorting", "childcount": "1",
                "samples": [
                    { "id": "1", "name": "Multi Sorting", "action": "MultiSorting", "childcount": "0" },
                    { "id": "2", "name": "Sorting API", "action": "SortingAPI", "childcount": "0" }
                ]
            },
            {
                "id": "7", "name": "Filtering", "action": "DefaultFiltering", "childcount": "1",
                "samples": [
                    { "id": "1", "name": "Default Functionalities", "action": "DefaultFiltering", "childcount": "0" },
                    { "id": "2", "name": "Filtering Menu", "action": "FilteringMenu", "childcount": "0" },
                    { "id": "3", "name": "Searching", "action": "Searching", "childcount": "0" }
                ]
            },
            {
                "id": "8", "name": "Grouping", "action": "Grouping", "childcount": "1",
                "samples": [
                    { "id": "1", "name": "Default Functionalities", "action": "Grouping", "childcount": "0" },
                    { "id": "2", "name": "Group Button", "action": "GroupButton", "childcount": "0" },
                    { "id": "3", "name": "Hide Grouped Columns", "action": "HideGroupedColumn", "childcount": "0" },
                    { "id": "4", "name": "Grouping API", "action": "GroupingAPI", "childcount": "0" }
                ]
            },
            {
                "id": "9", "name": "Paging", "action": "DefaultPaging", "childcount": "1",
                "samples": [
                    { "id": "1", "name": "Default Functionalities", "action": "DefaultPaging", "childcount": "0" },
                    { "id": "2", "name": "Paging API", "action": "PagingAPI", "childcount": "0" },
                    { "id": "3", "name": "Virtual Paging", "action": "VirtualPaging", "childcount": "0" }
                ]
            },
            {
                "id": "10", "name": "Selection", "action": "BasicSelection", "childcount": "1",
                "samples": [
                    { "id": "1", "name": "Basic", "action": "BasicSelection", "childcount": "0" },
                    { "id": "2", "name": "Refresh Selection Cleanup", "action": "RefreshSelectionCleanup", "childcount": "0" }
                ]
            },
            {
                "id": "11", "name": "Summary", "action": "Summary", "childcount": "1",
                "samples": [
                    { "id": "1", "name": "Basic", "action": "Summary", "childcount": "0" },
                    { "id": "2", "name": "Group Summary", "action": "GroupSummary", "childcount": "0" },
                    { "id": "3", "name": "Caption Summary", "action": "CaptionSummary", "childcount": "0" }
                ]
            },
            {
                "id": "12", "name": "ObservableArray Binding", "action": "ObservableKO", "childcount": "1",
                "samples": [
                    { "id": "1", "name": "Knockout Support", "action": "ObservableKO", "childcount": "0" },
                    { "id": "2", "name": "Angular Support", "action": "ObservableAngular", "childcount": "0" }
                ]
            },
            {
                "id": "13", "name": "Server Side Events", "action": "DefaultServerEvents", "childcount": "1",
                "samples": [
                    { "id": "1", "name": "Default Server Events", "action": "DefaultServerEvents", "childcount": "0" },
                    { "id": "2", "name": "Edit Events", "action": "ServerEditEvents", "childcount": "0" }
                ]
            },
            { "id": "14", "name": "Real Time Binding", "action": "RealTimeBinding", "childcount": "0" },
            { "id": "15", "name": "Live Update", "action": "LiveUpdate", "childcount": "0" },
            { "id": "16", "name": "Conditional Formatting", "action": "ConditionalFormatting", "childcount": "0" },
            { "id": "17", "name": "Master-Details", "action": "MasterDetails", "childcount": "0" },
            { "id": "18", "name": "State Maintenance", "action": "StateMaintenance", "childcount": "0" },
            { "id": "19", "name": "ToolBar Template", "action": "Toolbartemplate", "childcount": "0" },
            { "id": "20", "name": "Keyboard Interaction", "action": "KeyboardInteraction", "childcount": "0" },
            { "id": "21", "name": "Scrolling", "action": "Scrolling", "childcount": "0" },
            { "id": "22", "name": "Events", "action": "Events", "childcount": "0" },
            { "id": "23", "name": "Localization", "action": "Localization", "childcount": "0" },
            { "id": "24", "name": "RTL", "action": "RTL", "childcount": "0" }
        ]
    },
	{
        "name": "Gantt", "id": "Gantt", "childcount": "1", "action": "Default", "type" : "preview", "samples": [
            { "id": "1", "name": "Default Functionalities", "action": "Default", "childcount": "0" },
            { "id": "2", "name": "Editing", "action": "Editing", "childcount": "0" },
            { "id": "3", "name": "Sorting", "action": "Sorting", "childcount": "0" },
            { "id": "4", "name": "Searching", "action": "Searching", "childcount": "0" },
            { "id": "5", "name": "Events", "action": "Events", "childcount": "0" },
            { "id": "6", "name": "Virtualization", "action": "Virtualization", "childcount": "0" },
            { "id": "7", "name": "Localization", "action": "Localization", "childcount": "0" },
            { "id": "8", "name": "Resource", "action": "Resource", "childcount": "0" },
            { "id": "9", "name": "BaseLines", "action": "BaseLine", "childcount": "0" },
            {
                "id": "10", "name": "Data Binding", "action": "SQLDataBinding", "childcount": "1",
                "samples": [
                    { "id": "1", "name": "SQL Data", "action": "SQLDataBinding", "childcount": "0" },
                    { "id": "2", "name": "Object Data", "action": "ObjectBinding", "childcount": "0" },
                    { "id": "3", "name": "XML Data", "action": "XMLBinding", "childcount": "0" }
                ]
            }
        ]
    },
	
    {
        "name": "Diagram",
        "id": "Diagram",
        "childcount": "1",
        "action": "FlowDiagram",
        "type": "preview",
        "samples": [
            { "id": "1", "name": "DefaultFunctionalities", "action": "FlowDiagram", "childcount": "0", "type": "new" },
            { "id": "2", "name": "MindMap", "action": "MindMap", "childcount": "0", "type": "new" },
            { "id": "3", "name": "OrganizationalChart", "action": "OrganizationalChart", "childcount": "0", "type": "new" },
            { "id": "4", "name": "UML", "action": "UML", "childcount": "0", "type": "new" }
        ]
    },
	
	 {
            "name": "Maps", "id": "Maps", "childcount": "1", "controller": "Maps", "action": "DataMarkers", "samples": [
                { "id": "1", "name": "DataMarkers", "action": "DataMarkers", "childcount": "0" },
                { "id": "2", "name": "DrillDown", "action": "DrillDown", "childcount": "0" },
                { "id": "3", "name": "Labels", "action": "Labels", "childcount": "0" },
                { "id": "4", "name": "Selection", "action": "Selection", "childcount": "0" },
                { "id": "5", "name": "Zooming", "action": "Zooming", "childcount": "0" },
                { "id": "6", "name": "HeatMap", "action": "HeatMap", "childcount": "0" },
                { "id": "7", "name": "FlightRoutes", "action": "FlightRoutes", "childcount": "0" },
                 { "id": "8", "name": "OpenStreetMap", "action": "OpenStreetMap", "childcount": "0" }
            ]
        },

     {
         "name": "TreeMap",
         "id": "TreeMap",
         "childcount": "1",
         "action": "Customization",
         "samples": [
             { "id": "1", "name": "Customization", "action": "Customization", "childcount": "0" },
             { "id": "2", "name": "FlatCollection", "action": "FlatCollection", "childcount": "0" },
             { "id": "3", "name": "Hierarchical", "action": "Hierarchical", "childcount": "0" }
         ]
     },
	
	{
	    "name": "TreeGrid", "id": "TreeGrid", "childcount": "1", "action": "TreeGridDefault", "type": "preview", "samples": [
            { "id": "1", "name": "Default Functionalities", "action": "TreeGridDefault", "childcount": "0" },
        { "id": "2", "name": "Editing", "action": "TreeGridEditing", "childcount": "0" },
        { "id": "3", "name": "Sorting", "action": "TreeGridSorting", "childcount": "0" },
        { "id": "4", "name": "Column Template", "action": "ColumnTemplate", "childcount": "0" },
        {
            "id": "5", "name": "Data Binding", "action": "SQLBinding", "childcount": "1",
            "samples": [
                { "id": "1", "name": "SQL Data", "action": "SQLBinding", "childcount": "0" },
                { "id": "2", "name": "Object Data", "action": "ObjectBinding", "childcount": "0" },
                { "id": "3", "name": "XML Data", "action": "XMLBinding", "childcount": "0" }
            ]
        }
	    ]
	},

     {
         "name": "BulletGraph",
         "id": "BulletGraph",
         "childcount": "1",
         "action": "Default",
         "samples": [
             { "id": "1", "name": "Default Functionalities", "action": "Default", "childcount": "0" },
             { "id": "2", "name": "Data Binding - Local", "action": "LocalBinding", "childcount": "0" },
             { "id": "3", "name": "Data Binding - Remote", "action": "RemoteBinding", "childcount": "0" },
             { "id": "4", "name": "API", "action": "API", "childcount": "0" },
             { "id": "5", "name": "Angular Support", "action": "Angular", "childcount": "0" },
             { "id": "6", "name": "Knockout Support", "action": "Knockout", "childcount": "0" }
         ]
     },

     {
         "name": "OlapClient", "id": "OlapClient", "childcount": "1", "action": "Default", "samples": [
              { "id": "1", "name": "Default Functionalities", "action": "Default", "childcount": "0" },
              { "id": "2", "name": "Customization", "action": "Customization", "childcount": "0" },
              { "id": "3", "name": "Localization", "action": "Localization", "childcount": "0" },
              { "id": "5", "name": "Angular Support", "action": "AngularBinding", "childcount": "0" },
              { "id": "4", "name": "Knockout Support", "action": "KOModelBinding", "childcount": "0" }
         ]
     },
     {
         "name": "OlapGrid", "id": "OlapGrid", "childcount": "1", "action": "Default", "samples": [
            { "id": "1", "name": "Default Functionalities", "action": "Default", "childcount": "0" },
             { "id": "2", "name": "Hyperlink", "action": "Hyperlink", "childcount": "0" },
             { "id": "3", "name": "Cell Context", "action": "CellContext", "childcount": "0" },
             { "id": "4", "name": "Drill Position", "action": "DrillPosition", "childcount": "0" },
             { "id": "5", "name": "KPI", "action": "KPI", "childcount": "0" },
             { "id": "6", "name": "Paging", "action": "Paging", "childcount": "0" },
             { "id": "7", "name": "Layouts", "action": "Layout", "childcount": "0" },
             { "id": "8", "name": "Events", "action": "Events", "childcount": "0" },
             { "id": "9", "name": "Localization", "action": "Localization", "childcount": "0" },
             { "id": "10", "name": "RTL", "action": "RTL", "childcount": "0" },
             { "id": "11", "name": "Angular Support", "action": "AngularBinding", "childcount": "0" },
             { "id": "12", "name": "Knockout Support", "action": "KOModelBinding", "childcount": "0" }
         ]
     },
     {
         "name": "OlapChart", "id": "OlapChart", "childcount": "1", "action": "Default", "samples": [
         { "id": "1", "name": "Default Functionalities", "action": "Default", "childcount": "0" },
         { "id": "2", "name": "Chart Types", "action": "ChartTypes", "childcount": "0" },
         { "id": "3", "name": "Events", "action": "Events", "childcount": "0" },
         { "id": "4", "name": "Localization", "action": "Localization", "childcount": "0" },
         { "id": "5", "name": "Angular Support", "action": "AngularBinding", "childcount": "0" },
         { "id": "6", "name": "Knockout Support", "action": "KOModelBinding", "childcount": "0" }
         ]
     },
     {
         "name": "OlapGauge", "id": "OlapGauge", "childcount": "1", "action": "Default", "samples": [
         { "id": "1", "name": "Default Functionalities", "action": "Default", "childcount": "0" },
         { "id": "2", "name": "Events", "action": "Events", "childcount": "0" },
         { "id": "3", "name": "Layout", "action": "Layout", "childcount": "0" },
         { "id": "4", "name": "Localization", "action": "Localization", "childcount": "0" },
         { "id": "5", "name": "Pointer", "action": "Pointer", "childcount": "0" },
         { "id": "6", "name": "Range", "action": "Range", "childcount": "0" },
         { "id": "7", "name": "Scale", "action": "Scale", "childcount": "0" },
         { "id": "8", "name": "Angular Support", "action": "AngularBinding", "childcount": "0" },
         { "id": "9", "name": "Knockout Support", "action": "KOModelBinding", "childcount": "0" }
         ]
     },

     {
         "name": "CircularGauge", "id": "CircularGauge", "childcount": "1", "action": "Default", "samples": [
           { "id": "1", "name": "Default Functionalities", "action": "Default", "childcount": "0" },
           { "id": "2", "name": "Scales", "action": "Scales", "childcount": "0" },
           { "id": "3", "name": "Ranges", "action": "Ranges", "childcount": "0" },
           { "id": "4", "name": "Pointers", "action": "Pointers", "childcount": "0" },
           { "id": "5", "name": "Clock", "action": "Clock", "childcount": "0" },
           { "id": "6", "name": "Speedometer", "action": "Speedometer", "childcount": "0" },
           { "id": "7", "name": "Knockout Support", "action": "Knockout", "childcount": "0" },
           { "id": "8", "name": "Angular Support", "action": "Angular", "childcount": "0" },
           { "id": "9", "name": "UserInteraction", "action": "UserInteraction", "childcount": "0" },
           { "id": "10", "name": "ExportImage", "action": "ExportImage", "childcount": "0" },
           { "id": "11", "name": "LabelCustomization", "action": "LabelCustomization", "childcount": "0" }

         ]
     },

      {
          "name": "LinearGauge", "id": "LinearGauge", "childcount": "1", "action": "Default", "samples": [
            { "id": "1", "name": "Default Functionalities", "action": "Default", "childcount": "0" },
            { "id": "2", "name": "Scales", "action": "Scales", "childcount": "0" },
            { "id": "3", "name": "Pointers", "action": "Pointers", "childcount": "0" },
            { "id": "4", "name": "Ranges", "action": "Ranges", "childcount": "0" },
            { "id": "5", "name": "Thermometer", "action": "Thermometer", "childcount": "0" },
            { "id": "6", "name": "Knockout Support", "action": "Knockout", "childcount": "0" },
            { "id": "7", "name": "Angular Support", "action": "Angular", "childcount": "0" },
            { "id": "8", "name": "UserInteraction", "action": "UserInteraction", "childcount": "0" },
            { "id": "9", "name": "ExportImage", "action": "ExportImage", "childcount": "0" },
            { "id": "10", "name": "LabelCustomization", "action": "LabelCustomization", "childcount": "0" }


          ]
      },

      {
          "name": "DigitalGauge", "id": "DigitalGauge", "childcount": "1", "action": "Default", "samples": [
            { "id": "1", "name": "Default Functionalities", "action": "Default", "childcount": "0" },
            { "id": "2", "name": "DigitalClock", "action": "DigitalClock", "childcount": "0" },
            { "id": "3", "name": "Knockout Support", "action": "Knockout", "childcount": "0" },
            { "id": "4", "name": "Angular Support", "action": "Angular", "childcount": "0" },
            { "id": "5", "name": "ExportImage", "action": "ExportImage", "childcount": "0" }
          ]
      },   

    {
        "name": "RichTextEditor",
        "id": "RichTextEditor",
        "childcount": "1",
        "action": "DefaultFunctionalities",
        "samples": [
            { "id": "21", "name": "Default Functionalities", "action": "DefaultFunctionalities", "childcount": "0" },
            { "id": "22", "name": "All Tools", "action": "AllTools", "childcount": "0" },
            { "id": "23", "name": "Custom Tool", "action": "CustomTool", "childcount": "0" },
            { "id": "24", "name": "API", "action": "API", "childcount": "0" },
            { "id": "25", "name": "Events", "action": "Events", "childcount": "0" },
            { "id": "26", "name": "Localization", "action": "Localization", "childcount": "0" },
            { "id": "27", "name": "Knockout Support", "action": "KnockoutSupport", "childcount": "0" },
            { "id": "28", "name": "Angular Support", "action": "AngularSupport", "childcount": "0" },
            { "id": "29", "name": "RTL", "action": "RTL", "childcount": "0" },
            { "id": "30", "name": "Keyboard Interaction", "action": "KeyboardInteraction", "childcount": "0" }
        ]
    },

    {
        "name": "TreeView",
        "id": "TreeView",
        "childcount": "1",
        "action": "DefaultFunctionalities",
        "samples": [
           { "id": "1", "name": "Default Functionalities", "action": "DefaultFunctionalities", "childcount": "0" },
           { "id": "2", "name": "Icons", "action": "Icons", "childcount": "0" },
           { "id": "3", "name": "Checkboxes", "action": "Checkbox", "childcount": "0" },
           { "id": "4", "name": "Node Editing-Copy paste", "action": "NodeEditing-Copy-Paste", "childcount": "0" },
           { "id": "5", "name": "Drag and Drop", "action": "DragandDrop", "childcount": "0" },
           {
               "id": "6", "name": "Data Binding", "action": "Databinding-remote", "childcount": "1",
               "samples": [
                   { "id": "7", "name": "Remote Data", "action": "Databinding-remote", "childcount": "0" },
                   { "id": "18", "name": "SQL Data", "action": "DataBinding-SqlData", "childcount": "0" },
                   { "id": "19", "name": "Object Data", "action": "DataBinding-Object", "childcount": "0" },
                   { "id": "20", "name": "XML Data", "action": "DataBinding-Xml", "childcount": "0" },
                   { "id": "21", "name": "LinqToSQL", "action": "DataBinding-LinqToSql", "childcount": "0" }
               ]
           },
           { "id": "8", "name": "Load On Demand", "action": "LoadOnDemand", "childcount": "0" },
           { "id": "9", "name": "Template", "action": "Template", "childcount": "0" },
           { "id": "10", "name": "Context Menu", "action": "ContextMenu", "childcount": "0" },
           { "id": "11", "name": "State Maintenance", "action": "StateMaintenance", "childcount": "0" },
           { "id": "12", "name": "Knockout Support", "action": "KnockoutSupport", "childcount": "0" },
           { "id": "13", "name": "Angular Support", "action": "AngularSupport", "childcount": "0" },
           { "id": "14", "name": "API's", "action": "APIs", "childcount": "0" },
           { "id": "15", "name": "Events", "action": "Events", "childcount": "0" },
           { "id": "16", "name": "RTL", "action": "RTL", "childcount": "0" },
           { "id": "17", "name": "Keyboard Interactions", "action": "KeyboardInteractions", "childcount": "0" }
        ]
    },
    {
        "name": "DatePicker",
        "id": "DatePicker",
        "childcount": "1",
        "action": "DefaultFunctionalities",
        "samples": [
            { "id": "1", "name": "Default Functionalities", "action": "DefaultFunctionalities", "childcount": "0" },
            { "id": "2", "name": "Date Format", "action": "Date-Format", "childcount": "0" },
            { "id": "3", "name": "Date Range", "action": "Date-Range", "childcount": "0" },
            { "id": "4", "name": "Display Inline", "action": "Display-Inline", "childcount": "0" },
            { "id": "5", "name": "Dates in Other Month", "action": "Dates-in-Other-Month", "childcount": "0" },
            { "id": "6", "name": "Localization", "action": "Localization", "childcount": "0" },
            { "id": "7", "name": "Knockout Support", "action": "KnockoutSupport", "childcount": "0" },
            { "id": "8", "name": "Angular Support", "action": "AngularSupport", "childcount": "0" },
            { "id": "9", "name": "API'S", "action": "APIs", "childcount": "0" },
            { "id": "10", "name": "Events", "action": "Events", "childcount": "0" },
            { "id": "11", "name": "RTL", "action": "RTL", "childcount": "0" },
            { "id": "12", "name": "Keyboard Interaction", "action": "Keyboard-Interaction", "childcount": "0" }
        ]
    },

    {
        "name": "TimePicker",
        "id": "TimePicker",
        "childcount": "1",
        "action": "DefaultFunctionalities",
        "samples": [
            { "id": "1", "name": "Default Functionalities", "action": "DefaultFunctionalities", "childcount": "0" },
            { "id": "2", "name": "Localization", "action": "Localization", "childcount": "0" },
            { "id": "3", "name": "Knockout Support", "action": "KnockoutSupport", "childcount": "0" },
            { "id": "4", "name": "Angular Support", "action": "AngularSupport", "childcount": "0" },
            { "id": "5", "name": "API'S", "action": "APIs", "childcount": "0" },
            { "id": "6", "name": "Events", "action": "Events", "childcount": "0" },
            { "id": "7", "name": "RTL", "action": "RTL", "childcount": "0" },
            { "id": "8", "name": "Keyboard Interaction", "action": "Keyboard-Interaction", "childcount": "0" }
        ]
    },

    {
        "name": "DateTimePicker",
        "id": "DateTimePicker",
        "childcount": "1",
        "action": "DefaultFunctionalities",
        "samples": [
            { "id": "1", "name": "Default Functionalities", "action": "DefaultFunctionalities", "childcount": "0" },
            { "id": "2", "name": "Localization", "action": "Localization", "childcount": "0" },
            { "id": "3", "name": "Knockout Support", "action": "KnockoutSupport", "childcount": "0" },
            { "id": "4", "name": "Angular Support", "action": "AngularSupport", "childcount": "0" },
            { "id": "5", "name": "API'S", "action": "APIs", "childcount": "0" },
            { "id": "6", "name": "Events", "action": "Events", "childcount": "0" },
            { "id": "7", "name": "RTL", "action": "RTL", "childcount": "0" },
            { "id": "8", "name": "Keyboard Interaction", "action": "Keyboard-Interaction", "childcount": "0" }
        ]
    },

    {
        "name": "Textboxes",
        "id": "Textboxes",
        "childcount": "1",
        "action": "DefaultFunctionalities",
        "samples": [
            { "id": "1", "name": "Default Functionalities", "action": "DefaultFunctionalities", "childcount": "0" },
            { "id": "2", "name": "Localization", "action": "Localization", "childcount": "0" },
            { "id": "3", "name": "Knockout Support", "action": "KnockoutSupport", "childcount": "0" },
            { "id": "4", "name": "Angular Support", "action": "AngularSupport", "childcount": "0" },
            { "id": "5", "name": "API's", "action": "APIs", "childcount": "0" },
            { "id": "6", "name": "Events", "action": "Events", "childcount": "0" },
            { "id": "7", "name": "RTL", "action": "RTL", "childcount": "0" },
            { "id": "8", "name": "Keyboard Interactions", "action": "KeyboardInteractions", "childcount": "0" }

        ]
    },

    {
        "name": "AutoComplete",
        "id": "AutoComplete",
        "childcount": "1",
        "action": "DefaultFunctionalities",
        "samples": [
            { "id": "1", "name": "Default Functionalities", "action": "DefaultFunctionalities", "childcount": "0" },
            { "id": "2", "name": "Multiple Values", "action": "MultipleValues", "childcount": "0" },
            { "id": "3", "name": "Grouping", "action": "Grouping", "childcount": "0" },
            { "id": "4", "name": "Template", "action": "Template", "childcount": "0" },
            {
                "id": "5", "name": "Data Binding", "action": "Databinding-Remote", "childcount": "1",
                "samples": [
                    //{ "id": "20", "name": "Databinding-Local", "action": "Databinding-Local", "childcount": "0" },
                    { "id": "6", "name": "Remote Data", "action": "Databinding-Remote", "childcount": "0" },
                    { "id": "16", "name": "SQL Data", "action": "DataBinding-SqlData", "childcount": "0" },
                    { "id": "17", "name": "Object Data", "action": "DataBinding-ObjectData", "childcount": "0" },
                    //{ "id": "18", "name": "Databinding-XML Data", "action": "DataBinding-XmlData", "childcount": "0" },
                    { "id": "19", "name": "LinqToSQL Data", "action": "DataBinding-LinqToSql", "childcount": "0" }
                ]
            },
            { "id": "7", "name": "Auto Fill", "action": "AutoFill", "childcount": "0" },
            { "id": "8", "name": "Knockout Support", "action": "KnockoutSupport", "childcount": "0" },
            { "id": "9", "name": "Angular Support", "action": "AngularSupport", "childcount": "0" },
            { "id": "10", "name": "API's", "action": "APIs", "childcount": "0" },
            { "id": "11", "name": "Events", "action": "Events", "childcount": "0" },
            { "id": "12", "name": "RTL", "action": "RTL", "childcount": "0" },
            { "id": "13", "name": "Keyboard Interactions", "action": "KeyboardInteractions", "childcount": "0" }

        ]
    },
     {
         "name": "Rotator",
         "id": "Rotator",
         "childcount": "1",
         "action": "DefaultFunctionalities",
         "samples": [
             { "id": "1", "name": "Default Functionalities", "action": "DefaultFunctionalities", "childcount": "0" },
             { "id": "2", "name": "Image With Content", "action": "ImagewithContent", "childcount": "0" },
             { "id": "3", "name": "Thumbnail", "action": "Thumbnail", "childcount": "0" },
             { "id": "4", "name": "Data Binding - Local", "action": "Databinding-Local", "childcount": "0" },
             { "id": "5", "name": "KO Support ", "action": "KnockoutSupport", "childcount": "0" },
             { "id": "6", "name": "Angular Support", "action": "AngularSupport", "childcount": "0" },
             { "id": "7", "name": "API'S", "action": "APIs", "childcount": "0" },
             { "id": "8", "name": "Events", "action": "Events", "childcount": "0" },
             { "id": "9", "name": "Keyboard Interaction", "action": "Keyboard-Interaction", "childcount": "0" }
         ]
     },

     {
         "name": "Tab",
         "id": "Tab",
         "childcount": "1",
         "action": "DefaultFunctionalities",
         "samples": [
           { "id": "1", "name": "Default Functionalities", "action": "DefaultFunctionalities", "childcount": "0" },
           { "id": "2", "name": "Ajax Content", "action": "AjaxContent", "childcount": "0" },
           { "id": "3", "name": "Images", "action": "Images", "childcount": "0" },
           { "id": "4", "name": "Header Orientation", "action": "HeaderOrientation", "childcount": "0" },
           { "id": "5", "name": "Close Button", "action": "CloseButton", "childcount": "0" },
           { "id": "6", "name": "Other Widgets", "action": "OtherWidgets", "childcount": "0" },
           { "id": "7", "name": "State Maintenance", "action": "StateMaintenance", "childcount": "0" },
           { "id": "8", "name": "API's", "action": "API", "childcount": "0" },
           { "id": "9", "name": "Events", "action": "Events", "childcount": "0" },
           { "id": "10", "name": "RTL", "action": "RTL", "childcount": "0" },
           { "id": "11", "name": "Keyboard Interaction", "action": "KeyboardInteraction", "childcount": "0" }

         ]
     },
     {
         "name": "Menu",
         "id": "Menu",
         "childcount": "1",
         "action": "DefaultFunctionalities",
         "samples": [
         { "id": "1", "name": "Default Functionalities", "action": "DefaultFunctionalities", "childcount": "0" },
         {
             "id": "23", "name": "Data Binding", "action": "Databinding-Remote", "childcount": "1",
             "samples": [
                //{ "id": "2", "name": "Databinding - Local", "action": "Databinding-Local", "childcount": "0" },
                { "id": "3", "name": "Remote Data", "action": "Databinding-Remote", "childcount": "0" },
                { "id": "15", "name": "Sql Data", "action": "DataBinding-Sql", "childcount": "0" },
                { "id": "16", "name": "Object Data", "action": "DataBinding-Object", "childcount": "0" },
                { "id": "17", "name": "XML Data", "action": "DataBinding-XML", "childcount": "0" },
                 { "id": "18", "name": "Linq-to-Sql Data", "action": "DataBinding-LinqtoSql", "childcount": "0" }
             ]
         },
         { "id": "4", "name": "Templates", "action": "Templates", "childcount": "0" },
         { "id": "5", "name": "Open Direction", "action": "OpenDirection", "childcount": "0" },
         { "id": "6", "name": "Vertical Menu", "action": "VerticalMenu", "childcount": "0" },
         { "id": "7", "name": "Context Menu", "action": "ContextMenu", "childcount": "0" },
         { "id": "8", "name": "Center Menu", "action": "CenterMenu", "childcount": "0" },
         { "id": "9", "name": "Knockout Support", "action": "KnockoutSupport", "childcount": "0" },
         { "id": "10", "name": "Angular Support", "action": "AngularSupport", "childcount": "0" },
         { "id": "11", "name": "API's", "action": "APIs", "childcount": "0" },
         { "id": "12", "name": "Events", "action": "Events", "childcount": "0" },
         { "id": "13", "name": "RTL", "action": "RTL", "childcount": "0" },
         { "id": "14", "name": "Keyboard Interactions", "action": "KeyboardInteraction", "childcount": "0" }

         ]
     },

       {
           "name": "Barcode",
           "id": "Barcode",
           "childcount": "1",
           "action": "DefaultFunctionalities",
           "samples": [
               { "id": "1", "name": "Getting Started", "action": "DefaultFunctionalities", "childcount": "0" }
           ]
       },

     {
         "name": "Accordion", "id": "Accordion", "childcount": "1", "action": "DefaultFunctionalities", "samples": [
           { "id": "1", "name": "Default Functionalities", "action": "DefaultFunctionalities", "childcount": "0" },
           { "id": "2", "name": "Ajax Content", "action": "AjaxContent", "childcount": "0" },
           { "id": "3", "name": "Multiple Open", "action": "MultipleOpen", "childcount": "0" },
           { "id": "4", "name": "Open On Hover", "action": "OpenOnHover", "childcount": "0" },
           { "id": "5", "name": "Icons", "action": "Icons", "childcount": "0" },
           { "id": "6", "name": "Nested Accordion", "action": "NestedAccordion", "childcount": "0" },
           { "id": "7", "name": "API's", "action": "API", "childcount": "0" },
           { "id": "8", "name": "Events", "action": "Events", "childcount": "0" },
           { "id": "9", "name": "RTL", "action": "RTL", "childcount": "0" },
           { "id": "10", "name": "Keyboard Interaction", "action": "KeyboardInteraction", "childcount": "0" }

         ]
     },
     {
         "name": "ProgressBar",
         "id": "ProgressBar",
         "childcount": "1",
         "action": "DefaultFunctionalities",
         "samples": [
             { "id": "1", "name": "Default Functionalities", "action": "DefaultFunctionalities", "childcount": "0" },
             { "id": "2", "name": "API'S", "action": "APIs", "childcount": "0" },
//             { "id": "3", "name": "Events", "action": "Events", "childcount": "0" },
             { "id": "4", "name": "RTL", "action": "RTL", "childcount": "0" }
         ]
     },

     {
         "name": "Rating",
         "id": "Rating",
         "childcount": "1",
         "action": "DefaultFunctionalities",
         "samples": [
             { "id": "1", "name": "Default Functionalities", "action": "DefaultFunctionalities", "childcount": "0" },
             { "id": "5", "name": "Precision", "action": "Precision", "childcount": "0" },
             { "id": "4", "name": "Orientation", "action": "Orientation", "childcount": "0" },
             { "id": "2", "name": "Knockout Support", "action": "KnockoutSupport", "childcount": "0" },
             { "id": "3", "name": "Angular Support", "action": "AngularSupport", "childcount": "0" },
             { "id": "6", "name": "API'S", "action": "APIs", "childcount": "0" },
             { "id": "7", "name": "Events", "action": "Events", "childcount": "0" }

         ]
     },

     {
         "name": "DropDownList",
         "id": "DropDownList",
         "childcount": "1",
         "action": "DefaultFunctionalities",
         "samples": [
           { "id": "1", "name": "Default Functionalities", "action": "DefaultFunctionalities", "childcount": "0" },
           { "id": "3", "name": "Checkbox", "action": "CheckBox", "childcount": "0" },
           { "id": "3", "name": "Icons", "action": "Icons", "childcount": "0" },
           { "id": "4", "name": "Cascading", "action": "Cascading", "childcount": "0" },
           { "id": "5", "name": "Grouping", "action": "Grouping", "childcount": "0" },
           {
               "id": "6", "name": "Data Binding", "action": "DataBinding-remotedata", "childcount": "1",
               "samples": [
                   //{ "id": "21", "name": "Databinding-Local", "action": "DataBinding-locatdata", "childcount": "0" },
                   { "id": "16", "name": "Remote Data", "action": "DataBinding-remotedata", "childcount": "0" },
                   { "id": "17", "name": "SQL Data", "action": "DataBinding-SqlData", "childcount": "0" },
                   { "id": "18", "name": "Object Data", "action": "DataBinding-ObjectData", "childcount": "0" },
                   { "id": "19", "name": "XML Data", "action": "DataBinding-XmlData", "childcount": "0" },
                   { "id": "20", "name": "LinqToSQL Data", "action": "DataBinding-LinqToSql", "childcount": "0" }
               ]
           },
           { "id": "8", "name": "Multi-Select", "action": "MultiSelect", "childcount": "0" },
           { "id": "9", "name": "Template", "action": "Template", "childcount": "0" },
           { "id": "10", "name": "Knockout Support", "action": "KnockoutSupport", "childcount": "0" },
           { "id": "11", "name": "Angular Support", "action": "AngularSupport", "childcount": "0" },
           { "id": "12", "name": "API's", "action": "API", "childcount": "0" },
           { "id": "13", "name": "Events", "action": "Event", "childcount": "0" },
           { "id": "14", "name": "RTL", "action": "RTL", "childcount": "0" },
           { "id": "15", "name": "Keyboard Interaction", "action": "KeyboardInteraction", "childcount": "0" }

         ]
     },

     {
         "name": "Slider",
         "id": "Slider",
         "childcount": "1",
         "action": "DefaultFunctionalities",
         "samples": [
             { "id": "1", "name": "Default Functionalities", "action": "DefaultFunctionalities", "childcount": "0" },
             { "id": "2", "name": "Range Slider", "action": "RangeSlider", "childcount": "0" },
             { "id": "3", "name": "Vertical Slider", "action": "VerticalSlider", "childcount": "0" },
             { "id": "4", "name": "Knockout Support ", "action": "KnockoutSupport", "childcount": "0" },
             { "id": "5", "name": "Angular Support", "action": "AngularSupport", "childcount": "0" },
             { "id": "6", "name": "API'S", "action": "APIs", "childcount": "0" },
             { "id": "7", "name": "Events", "action": "Events", "childcount": "0" },
             { "id": "8", "name": "RTL", "action": "RTL", "childcount": "0" },
             { "id": "9", "name": "Keyboard Interaction", "action": "Keyboard-Interaction", "childcount": "0" }
         ]
     },

     {
         "name": "Splitter",
         "id": "Splitter",
         "childcount": "1",
         "action": "DefaultFunctionalities",
         "samples": [
            { "id": "1", "name": "Default Functionalities", "action": "DefaultFunctionalities", "childcount": "0" },
            { "id": "2", "name": "Nested Splitter", "action": "NestedSplitter", "childcount": "0" },
            { "id": "3", "name": "Integration", "action": "Integration", "childcount": "0" },
            { "id": "4", "name": "Orientation", "action": "Orientation", "childcount": "0" },
            { "id": "5", "name": "API'S", "action": "APIs", "childcount": "0" },
            { "id": "6", "name": "Events", "action": "Events", "childcount": "0" },
            { "id": "7", "name": "RTL", "action": "RTL", "childcount": "0" },
            { "id": "8", "name": "Keyboard Interaction", "action": "Keyboard-Interaction", "childcount": "0" }
         ]
     },

     {
         "name": "TagCloud",
         "id": "TagCloud",
         "childcount": "1",
         "action": "DefaultFunctionalities",
         "samples": [
             { "id": "1", "name": "Default Functionalities", "action": "DefaultFunctionalities", "childcount": "0" },
             { "id": "2", "name": "Data Binding - Remote", "action": "DataBinding-Remote", "childcount": "0" },
             { "id": "3", "name": "Knockout Support", "action": "KnockoutSupport", "childcount": "0" },
             { "id": "4", "name": "Angular Support", "action": "AngularSupport", "childcount": "0" },
             { "id": "5", "name": "Events", "action": "Events", "childcount": "0" },
             { "id": "6", "name": "RTL", "action": "RTL", "childcount": "0" }
         ]
     },

     {
         "name": "Buttons",
         "id": "Buttons",
         "childcount": "1",
         "action": "DefaultFunctionalities",
         "samples": [
             { "id": "1", "name": "Default Functionalities", "action": "DefaultFunctionalities", "childcount": "0" },
             { "id": "2", "name": "Toggle Button", "action": "ToggleButton", "childcount": "0" },
             { "id": "3", "name": "Split Button", "action": "SplitButton", "childcount": "0" },
             { "id": "4", "name": "Repeat Buttons", "action": "RepeatButton", "childcount": "0" },
             { "id": "5", "name": "Radio Buttons", "action": "RadioButton", "childcount": "0" },
             { "id": "6", "name": "CheckBox ", "action": "CheckBox", "childcount": "0" },
             { "id": "7", "name": "API'S", "action": "APIs", "childcount": "0" },
             { "id": "8", "name": "Events", "action": "Events", "childcount": "0" },
             { "id": "9", "name": "RTL", "action": "RTL", "childcount": "0" }

         ]
     },

     {
         "name": "Toolbar", "id": "Toolbar", "childcount": "1", "action": "DefaultFunctionalities", "samples": [
           { "id": "1", "name": "Default Functionalities", "action": "DefaultFunctionalities", "childcount": "0" },
           {
               "id": "2", "name": "Data Binding", "action": "DataBinding-RemoteData", "childcount": "1",
               "samples": [
                   { "id": "3", "name": "Remote Data", "action": "DataBinding-RemoteData", "childcount": "0" },
                   { "id": "11", "name": "SQL Data", "action": "DataBind-SqlData", "childcount": "0" },
                   { "id": "12", "name": "Object Data", "action": "DataBinding-ObjectData", "childcount": "0" },
                   { "id": "13", "name": "XML Data", "action": "DataBinding-Xml", "childcount": "0" },
                   { "id": "14", "name": "LinqToSQL Data", "action": "DataBinding-LinqToSql", "childcount": "0" }
               ]
           },
           { "id": "4", "name": "API's", "action": "API", "childcount": "0" },
           { "id": "5", "name": "Events", "action": "Events", "childcount": "0" },
           { "id": "6", "name": "Template", "action": "Template", "childcount": "0" },
           { "id": "7", "name": "Knockout Support", "action": "KnockoutSupport", "childcount": "0" },
           { "id": "8", "name": "Angular Support", "action": "AngularSupport", "childcount": "0" },
           { "id": "15", "name": "RTL", "action": "RTL", "childcount": "0" },
           { "id": "9", "name": "Keyboard Interaction", "action": "KeyboardInteraction", "childcount": "0" },
           { "id": "10", "name": "Orientation", "action": "Orientation", "childcount": "0" }

         ]
     },

     {
         "name": "WaitingPopup",
         "id": "WaitingPopup",
         "childcount": "1",
         "action": "DefaultFunctionalities",
         "samples": [
             { "id": "1", "name": "Default Functionalities", "action": "DefaultFunctionalities", "childcount": "0" },
             { "id": "2", "name": "Template", "action": "Template", "childcount": "0" }
         ]
     },

     {
         "name": "Dialog",
         "id": "Dialog",
         "childcount": "1",
         "action": "DefaultFunctionalities",
         "samples": [
           { "id": "1", "name": "DefaultFunctionalities", "action": "DefaultFunctionalities", "childcount": "0" },
           { "id": "2", "name": "Ajax Content", "action": "AjaxContent", "childcount": "0" },
           { "id": "3", "name": "Multiple Dialog", "action": "DialogMultiple", "childcount": "0" },
           { "id": "4", "name": "Custom Action", "action": "CustomAction", "childcount": "0" },
           { "id": "5", "name": "Model Dialog", "action": "ModelDialog", "childcount": "0" },
           { "id": "6", "name": "API's", "action": "API", "childcount": "0" },
           { "id": "7", "name": "Events", "action": "Events", "childcount": "0" },
           { "id": "8", "name": "RTL", "action": "RTL", "childcount": "0" },
           { "id": "9", "name": "Keyboard Intraction", "action": "KeyboardIntraction", "childcount": "0" }

         ]
     },

      {
          "name": "ScrollBar", "id": "ScrollBar", "childcount": "1", "action": "DefaultFunctionalities", "samples": [
            { "id": "1", "name": "Default Functionalities", "action": "DefaultFunctionalities", "childcount": "0" }
          ]
      },

      {
          "name": "Pdf",
          "id": "Pdf",
          "childcount": "1",
          "action": "JobApplication",
          "samples": [

              { "id": "1", "name": "Job Application", "action": "JobApplication", "childcount": "0" },
              {
                  "id": "2", "name": "Product Showcase", "action": "Invoice", "childcount": "1", samples: [
                  //second hierarchy
                        { "id": "21", "name": "Invoice Sample", "action": "Invoice", "childcount": "0" }]
              },
              {
                  "id": "3", "name": "Getting Started", "action": "HelloWorld", "childcount": "1", samples: [
                  //second hierarchy
                        { "id": "31", "name": "Hello World", "action": "HelloWorld", "childcount": "0" },
                        { "id": "32", "name": "PDF-A Sample", "action": "PDFA", "childcount": "0" },
                        { "id": "33", "name": "PDF Compression", "action": "PDFCompression", "childcount": "0" }]
              },
              {
                  "id": "4", "name": "Drawing Text", "action": "TextFlow", "childcount": "1", samples: [
                  //second hierarchy
                        { "id": "41", "name": "Text Flow", "action": "TextFlow", "childcount": "0" },
                        { "id": "42", "name": "RTL Support", "action": "RTLSupport", "childcount": "0" },
                        { "id": "43", "name": "Bullets and Lists", "action": "BulletsAndLists", "childcount": "0" },
                        { "id": "44", "name": "Multi Column Text", "action": "MultiColumnText", "childcount": "0" }]
              },
              {
                  "id": "5", "name": "Graphics", "action": "Barcode", "childcount": "1", samples: [
                  //second hierarchy
                        { "id": "51", "name": "Barcode", "action": "Barcode", "childcount": "0" },
                        { "id": "52", "name": "Drawing Shapes", "action": "DrawingShapes", "childcount": "0" },
                        { "id": "53", "name": "Drawing Graphics", "action": "DrawingGraphics", "childcount": "0" },
                        { "id": "54", "name": "Inserting Images", "action": "InsertingImages", "childcount": "0" },
                        { "id": "55", "name": "Layers", "action": "Layers", "childcount": "0" }]
              },
              {
                  "id": "6", "name": "Tables", "action": "NorthwindReport", "childcount": "1", samples: [
                  //second hierarchy
                        { "id": "61", "name": "Northwind Report", "action": "NorthwindReport", "childcount": "0" },
                        { "id": "62", "name": "Table Features", "action": "TableFeatures", "childcount": "0" }]
              },
              {
                  "id": "7", "name": "Settings", "action": "DocumentProperties", "childcount": "1", samples: [
                  //second hierarchy
                        { "id": "71", "name": "Document Properties", "action": "DocumentProperties", "childcount": "0" },
                        { "id": "72", "name": "Print Settings", "action": "PrintSettings", "childcount": "0" },
                        { "id": "73", "name": "Header and Footer", "action": "HeaderFooter", "childcount": "0" },
                        { "id": "74", "name": "Encryption Support", "action": "EncryptionSupport", "childcount": "0" }]
              },
              {
                  "id": "8", "name": "User Interaction", "action": "InteractiveFeatures", "childcount": "1", samples: [
                  //second hierarchy
                        { "id": "81", "name": "Interactive Features", "action": "InteractiveFeatures", "childcount": "0" },
                        { "id": "82", "name": "Digital Signature", "action": "DigitalSignature", "childcount": "0" },
                        { "id": "83", "name": "Portfolio", "action": "Portfolio", "childcount": "0" }]
              },
              {
                  "id": "9", "name": "Import and Export", "action": "TextExtraction", "childcount": "1", samples: [
                  //second hierarchy
                        { "id": "91", "name": "Text Extraction", "action": "TextExtraction", "childcount": "0" },
                        { "id": "92", "name": "Doc to Pdf", "action": "DocToPdf", "childcount": "0" },
                        { "id": "93", "name": "Excel to PDF", "action": "ExceltoPDF", "childcount": "0" },
                        { "id": "94", "name": "Html to Pdf", "action": "HtmlToPdf", "childcount": "0" },
                        { "id": "95", "name": "XPS to PDF", "action": "XPStoPDF", "childcount": "0" },
                        { "id": "96", "name": "RTF Support", "action": "RTFSupport", "childcount": "0" }]
              },
              {
                  "id": "10", "name": "Modify Documents", "action": "MergeDocuments", "childcount": "1", samples: [
                  //second hierarchy
                        { "id": "101", "name": "Merge Documents", "action": "MergeDocuments", "childcount": "0" },
                        { "id": "102", "name": "Split PDF", "action": "SplitPDF", "childcount": "0" },
                        { "id": "103", "name": "Overlay Documents", "action": "OverlayDocuments", "childcount": "0" },
                        { "id": "104", "name": "Booklet", "action": "Booklet", "childcount": "0" },
                        { "id": "105", "name": "Form Filling", "action": "FormFilling", "childcount": "0" },
                        { "id": "106", "name": "Import and Stamp", "action": "ImportAndStamp", "childcount": "0" }]
              },
              {
                  "id": "11", "name": "OCR", "action": "PDFOCR", "childcount": "1", samples: [
                  //second hierarchy
                        { "id": "111", "name": "PDF OCR", "action": "PDFOCR", "childcount": "0" }]
              }]
      },

    {
        "name": "RangeNavigator",
        "id": "RangeNavigator",
        "childcount": "1",
        "action": "Default",
        "samples": [
            { "id": "1", "name": "Default Functionalities", "action": "Default", "childcount": "0" },
            { "id": "2", "name": "Localization", "action": "RangeLocalization", "childcount": "0" },
            { "id": "3", "name": "RTL", "action": "RangeRTL", "childcount": "0" },
            { "id": "4", "name": "NumericType", "action": "NumericType", "childcount": "0" },
            { "id": "5", "name": "Customization", "action": "RangeCustom", "childcount": "0" }


        ]
    },


      {
          "name": "DocIO",
          "id": "DocIO",
          "childcount": "1",
          "action": "DefaultFunctionalities",
          "samples": [
           { "id": "1", "name": "Default", "action": "DefaultFunctionalities", "childcount": "0" },


                          {
                              "id": "2", "name": "Product Showcase", "action": "SalesInvoice", "childcount": "1", "samples": [
                                       { "id": "1", "name": "Sales Invoice", "action": "SalesInvoice", "childcount": "0" },
                                       { "id": "2", "name": "Update Fields", "action": "UpdateFields", "childcount": "0" }
                              ]
                          },
                          {
                              "id": "3", "name": "Getting Started", "action": "HelloWorld", "childcount": "1", "samples": [
                                       { "id": "1", "name": "Hello World", "action": "HelloWorld", "childcount": "0" }
                              ]
                          },
                         {
                             "id": "4", "name": "Editing", "action": "ReplaceWithFormating", "childcount": "1", "samples": [
                                      { "id": "1", "name": "Advanced Replace", "action": "ReplaceWithFormating", "childcount": "0" },
                                      { "id": "2", "name": "Bookmark Navigation", "action": "BookmarkNavigation", "childcount": "0" },
                                      { "id": "3", "name": "Forms", "action": "Forms", "childcount": "0" }
                             ]
                         },
                         {
                             "id": "5", "name": "Formatting", "action": "FormatTable", "childcount": "1", "samples": [
                                      { "id": "1", "name": "Format Table", "action": "FormatTable", "childcount": "0" },
                                      { "id": "2", "name": "Format Text", "action": "FormatText", "childcount": "0" },
                                      { "id": "3", "name": "RTL Support", "action": "RTLSupport", "childcount": "0" },
                                      { "id": "4", "name": "Styles", "action": "Styles", "childcount": "0" },
                                      { "id": "5", "name": "Table Styles", "action": "TableStyles", "childcount": "0" }
                             ]
                         },
                         {
                             "id": "6", "name": "Insert Content", "action": "Bookmarks", "childcount": "1", "samples": [
                                      { "id": "1", "name": "Bookmarks", "action": "Bookmarks", "childcount": "0" },
                                      { "id": "2", "name": "Clone and Merge", "action": "CloneandMerge", "childcount": "0" },
                                      { "id": "3", "name": "Header and Footer", "action": "HeaderandFooter", "childcount": "0" },
                                      { "id": "4", "name": "Image Insertion", "action": "ImageInsertion", "childcount": "0" },
                                      { "id": "5", "name": "Insert OLEObject", "action": "InsertOLEObject", "childcount": "0" }
                             ]
                         },
                         {
                             "id": "7", "name": "Mail Merge", "action": "EmployeeReport", "childcount": "1", "samples": [
                                      { "id": "1", "name": "Employee Report", "action": "EmployeeReport", "childcount": "0" },
                                      { "id": "2", "name": "Mail Merge Event", "action": "MailMergeEvent", "childcount": "0" },
                                      { "id": "3", "name": "Nested Mail Merge", "action": "NestedMailMerge", "childcount": "0" }
                             ]
                         },
                         {
                             "id": "8", "name": "Page Layout", "action": "InsertBreak", "childcount": "1", "samples": [
                                      { "id": "1", "name": "Insert Break", "action": "InsertBreak", "childcount": "0" },
                                      { "id": "2", "name": "Watermark", "action": "Watermark", "childcount": "0" }
                             ]
                         },
                          {
                              "id": "9", "name": "View", "action": "DocumentSettings", "childcount": "1", "samples": [
                                       { "id": "1", "name": "Document Settings", "action": "DocumentSettings", "childcount": "0" },
                                       { "id": "2", "name": "Macro Preservation", "action": "MacroPreservation", "childcount": "0" }
                              ]
                          },
                          {
                              "id": "10", "name": "Security", "action": "DocumentProtection", "childcount": "1", "samples": [
                                       { "id": "1", "name": "Document Protection", "action": "DocumentProtection", "childcount": "0" },
                                       { "id": "2", "name": "Encrypt and Decrypt", "action": "EncryptandDecrypt", "childcount": "0" }
                              ]
                          },
                          {
                              "id": "11", "name": "References", "action": "FootnotesandEndnotes", "childcount": "1", "samples": [
                                       { "id": "1", "name": "Footnotes and Endnotes", "action": "FootnotesandEndnotes", "childcount": "0" },
                                       { "id": "2", "name": "Table of Contents", "action": "TableofContents", "childcount": "0" }
                              ]
                          },
                          {
                              "id": "12", "name": "Import and Export", "action": "DOCToEPub", "childcount": "1", "samples": [
                                       { "id": "1", "name": "Word to HTML", "action": "DocToHTML", "childcount": "0" },
									   { "id": "2", "name": "Word to RTF", "action": "DocToRTF", "childcount": "0" },
									   { "id": "3", "name": "Word to Image", "action": "WordtoImage", "childcount": "0" },
									   { "id": "4", "name": "Word to PDF", "action": "DOCtoPDF", "childcount": "0" },
									   { "id": "5", "name": "HTML to Word", "action": "HTMLtoDOC", "childcount": "0" },
									   { "id": "6", "name": "RTF to Word", "action": "RTFToDoc", "childcount": "0" },
									   { "id": "7", "name": "Word to EPub", "action": "DOCToEPub", "childcount": "0" }
                              ]
                          },
                           {
                               "id": "13", "name": "Shapes", "action": "AutoShapes", "childcount": "1", "samples": [
                                        { "id": "1", "name": "AutoShapes", "action": "AutoShapes", "childcount": "0" }
                               ]
                           }
          ]
      },

	   {
	       "name": "UploadBox", "id": "UploadBox", "childcount": "1", "action": "DefaultFunctionalities", "samples": [
             { "id": "1", "name": "Default Functionalities", "action": "DefaultFunctionalities", "childcount": "0" },
             { "id": "2", "name": "File Input", "action": "FileInput", "childcount": "0" },
             { "id": "3", "name": "APIs", "action": "APIs", "childcount": "0" },
             { "id": "4", "name": "Events", "action": "Events", "childcount": "0" }
	       ]
	   },

        {
            "name": "XlsIO",
            "id": "XlsIO",
            "childcount": "1",
            "action": "DefaultFunctionalities",
            "samples": [
            { "id": "1", "name": "Default", "action": "DefaultFunctionalities", "childcount": "0" },
                        {
                            "id": "2", "name": "Product Showcase", "action": "BudgetPlanner", "childcount": "1", "samples": [
                                { "id": "1", "name": "Budget Planner", "action": "BudgetPlanner", "childcount": "0" },
                                 { "id": "2", "name": "Stock Portfolio", "action": "StockPortFolio", "childcount": "0" },
                                { "id": "3", "name": "Excel To PDF", "action": "ExcelToPDF", "childcount": "0" }
                            ]
                        },
                        {
                            "id": "3", "name": "Getting Started", "action": "CreateSpreadsheet", "childcount": "1", "samples": [
                                { "id": "1", "name": "Create", "action": "CreateSpreadsheet", "childcount": "0" },
                                { "id": "2", "name": "Find And Extract", "action": "FindAndExtract", "childcount": "0" }
                            ]
                        },
                        {
                            "id": "4", "name": "Formatting", "action": "FormatCells", "childcount": "1", "samples": [
                                { "id": "1", "name": "Format Cells", "action": "FormatCells", "childcount": "0" },
                                { "id": "2", "name": "Styles And Formatting", "action": "StylesAndFormatting", "childcount": "0" },
                                { "id": "3", "name": "Conditional Formatting", "action": "ConditionalFormatting", "childcount": "0" }
                            ]
                        },
                        {
                            "id": "5", "name": "Charts", "action": "ChartWorksheet", "childcount": "1", "samples": [
                                { "id": "1", "name": "Chart Worksheet", "action": "ChartWorksheet", "childcount": "0" },
                                { "id": "2", "name": "Embedded Chart", "action": "EmbeddedChart", "childcount": "0" },
                                { "id": "3", "name": "Sparklines", "action": "Sparklines", "childcount": "0" }
                            ]
                        },
                        {
                            "id": "6", "name": "Data Management", "action": "RangeManipulation", "childcount": "1", "samples": [
                                { "id": "1", "name": "Range Manipulation", "action": "RangeManipulation", "childcount": "0" },
                                { "id": "2", "name": "Formulas", "action": "Formulas", "childcount": "0" },
                                { "id": "3", "name": "Compute All formulas", "action": "ComputeAllformulas", "childcount": "0" },
                                { "id": "4", "name": "Data Validation", "action": "DataValidation", "childcount": "0" },
                                { "id": "5", "name": "Performance", "action": "Performance", "childcount": "0" },
                                { "id": "6", "name": "Interactive Features", "action": "InteractiveFeatures", "childcount": "0" },
                                { "id": "7", "name": "Form Controls", "action": "FormControls", "childcount": "0" },
                                { "id": "8", "name": "Data Sorting", "action": "Sorting", "childcount": "0" }
                            ]

                        },
                        {
                            "id": "7", "name": "Data Binding", "action": "ExternalConnection", "childcount": "1", "samples": [
                                { "id": "1", "name": "External Connection", "action": "ExternalConnection", "childcount": "0" },
                                { "id": "2", "name": "Template Marker", "action": "TemplateMarker", "childcount": "0" },
                                { "id": "3", "name": "Business Objects", "action": "BussinessObjects", "childcount": "0" },
                                { "id": "4", "name": "Sales Invoice", "action": "SalesInvoice", "childcount": "0" }
                            ]
                        },
                        {
                            "id": "8", "name": "Sheet Manipulations", "action": "RowColumnManipulations", "childcount": "1", "samples": [
                                { "id": "1", "name": "Row-Column Manipulation", "action": "RowColumnManipulations", "childcount": "0" },
                                { "id": "2", "name": "Worksheet Manipulation", "action": "WorksheetManagement", "childcount": "0" },
                                { "id": "3", "name": "Worksheet To Image", "action": "WorksheetToImage", "childcount": "0" },
                                { "id": "4", "name": "Worksheet To HTML", "action": "WorksheetToHTML", "childcount": "0" }
                            ]
                        },
                        {
                            "id": "9", "name": "Settings", "action": "DocumentProperties", "childcount": "1", "samples": [
                                { "id": "1", "name": "Document Settings", "action": "DocumentProperties", "childcount": "0" },
                                { "id": "2", "name": "Worksheet Protection", "action": "WorksheetProtection", "childcount": "0" },
                                { "id": "3", "name": "Workbook Protection", "action": "WorkbookProtection", "childcount": "0" },
                                { "id": "4", "name": "Encrypt and Decrypt", "action": "EncryptionDecryption", "childcount": "0" }
                            ]
                        },
                        {
                            "id": "10", "name": "Business Intelligence", "action": "Tables", "childcount": "1", "samples": [
                                { "id": "1", "name": "Tables", "action": "Tables", "childcount": "0" },
                                { "id": "2", "name": "Pivot Table", "action": "PivotTable", "childcount": "0" },
                                { "id": "3", "name": "Pivot Chart", "action": "PivotChart", "childcount": "0" }
                            ]
                        },
                        {
                            "id": "11", "name": "Shapes", "action": "AutoShapes", "childcount": "1", "samples": [
                                { "id": "1", "name": "AutoShapes", "action": "AutoShapes", "childcount": "0" }
                            ]
                        }
            ]
        }







];
