﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Diagram.aspx.cs" Inherits="WebApplication5.Diagram" %>

<%@ Register Assembly="Syncfusion.EJ.Web, Version=12.3451.0.36, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.JavaScript.Web" TagPrefix="ej" %>

<%@ Register TagPrefix="ej" Namespace="Syncfusion.JavaScript.Web" Assembly="Syncfusion.EJ.Web, Version=12.3451.0.36, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89" %>
<%@ Register TagPrefix="ej" Namespace="Syncfusion.JavaScript.Web" Assembly="Syncfusion.EJ.Web" %>
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <link href="Content/ej/ej.widgets.core.min.css" rel="stylesheet" />
    <link href="Content/ej/default-theme/ej.theme.min.css" rel="stylesheet" />
    <link href="Content/ej/default-theme/default.css" rel="stylesheet" />
    <link href="Content/ej/default-theme/default-responsive.css" rel="stylesheet" />
    <link rel="shortcut icon" href="~/Content/images/favicon.ico" />

    <script src="Scripts/jquery-1.10.2.min.js"></script>
    <script src="Scripts/jquery.easing-1.3.min.js"></script>
    <script src="Scripts/jquery.globalize.min.js"></script>
    <script src="Scripts/jsrender.min.js"></script>
    <script src="Scripts/ej/ej.web.all.min.js"></script>

    <script src="Scripts/DiagramBuilder/printingandexporting.js"></script>
    <script src="Scripts/DiagramBuilder/canvas-to-blob.js"></script>
    <script src="Scripts/DiagramBuilder/FileSaver.js"></script>
    <script src="Scripts/DiagramBuilder/DiagramBuilder.js"></script>
    <script src="Scripts/DiagramBuilder/knockout-min.js"></script>
    <script src="Scripts/DiagramBuilder/MenuBar.js"></script>
    <script src="Scripts/DiagramBuilder/PropertyPanel.js"></script>
    <script src="Scripts/DiagramBuilder/SelectorViewModel.js"></script>
    <script src="Scripts/DiagramBuilder/IntelligentShapes.js"></script>
    <link href="Content/DiagramBuilder/DiagramBuilderIcons/style.css" rel="stylesheet" />
    <link href="Content/DiagramBuilder/css/DiagramBuilder.css" rel="stylesheet" />
    <link href="Content/DiagramBuilder/bootstrap.min.css" rel="stylesheet" />


    <svg
        xmlns="http://www.w3.org/2000/svg"
        width="137"
        height="81"
        style="display: none">
        <g id="ScriptTask" fill="#fff">
            <rect
                width="136.20007"
                height="80"
                ry="9.5970793"
                x="0.40625"
                y="0.40625"
                id="rectangle"
                style="stroke: #58595b; stroke-width: 1; stroke-miterlimit: 4; stroke-opacity: 1; stroke-dasharray: none" />
            <g id="sorrytask"
                transform="translate(-13.592845,-13.383725)"
                id="Scritpt_icon">
                <polygon
                    points="282.708,278.453 285.715,274.802 287.393,272.81 288.196,272.81 304.137,272.81 301.899,276.305 301.025,278.857 300.921,280.465 301.62,282.31 302.809,284.695 304.137,286.555 304.661,288.051 303.893,290.1 301.131,293.363 299.196,295.111 283.093,295.111 284.142,293.225 286.25,288.89 285.226,285.629 283.442,282.994 282.289,280.465 "
                    transform="translate(-180.23333,-190.97111)"
                    id="polygon"
                    style="fill: #ffffff" />
                <path
                    d="m 45.527667,25.528837 c -1.269,2.068 -2.731,4.82 -2.731,6.5 0,1.611 1.109,3.242 2.283,4.969 0.745,1.095 1.672,2.457 1.72,3.112 -0.054,0.883 -2.389,3.808 -5.098,6.419 h -14.584 c 1.313,-2.094 2.803,-4.884 2.68,-6.607 -0.106,-1.486 -1.139,-3.004 -2.232,-4.611 -0.744,-1.095 -1.764,-2.594 -1.764,-3.271 0.069,-0.877 2.408,-3.844 5.109,-6.51 h 14.617 m 2.768,-1.501 h -17.995 c 0,0 -6,5.764 -6,8 0,2.236 3.841,5.77 4,8 0.159,2.23 -4,8 -4,8 h 18 c 0,0 6.154,-5.77 5.995,-8 -0.159,-2.23 -4,-5.764 -4,-8 0,-2.236 4,-8 4,-8 l 0,0 z"
                    id="path6536-2"
                    style="fill: #58595b" />
                <rect
                    width="12.027"
                    height="1.367"
                    x="29.935677"
                    y="29.114883"
                    id="rect6538-7"
                    style="fill: #58595b" />
                <rect
                    width="12.027"
                    height="1.368"
                    x="29.935677"
                    y="33.654922"
                    id="rect6540-3"
                    style="fill: #58595b" />
                <rect
                    width="12.027"
                    height="1.368"
                    x="29.935677"
                    y="37.657974"
                    id="rect6542-1"
                    style="fill: #58595b" />
                <rect
                    width="12.027"
                    height="1.368"
                    x="29.935677"
                    y="42.128922"
                    id="rect6544-0"
                    style="fill: #58595b" />
            </g>
        </g>
    </svg>   

</head>
<body>
    <form id="DiagramFrom" runat="server">
        <div id="uploadFile" style="height: 20px; width: 80px; position: absolute; left: 10px; top: 100px; display: none; z-index: 9999999999999999999; background-color: pink; border-radius: 10px; text-align: center">
            Open
        </div>

        <div class="sample-header" id="sample-header">
            <div class="sample-header-content">
                <div class="sample-header-menubar">
                    <div class="sample-header-image">
                        <div class="imgframe" style="height: 35px;">
                            <ej:Menu ID="DiagramMenuControl" runat="server">
                                <Items>
                                    <ej:MenuItem Id="menufile" Text="File">
                                        <Items>
                                            <ej:MenuItem Text="New"></ej:MenuItem>
                                            <ej:MenuItem Text="Open"></ej:MenuItem>
                                            <ej:MenuItem Text="Save"></ej:MenuItem>
                                            <ej:MenuItem Text="Save As"></ej:MenuItem>
                                            <ej:MenuItem Text="Export as SVG"></ej:MenuItem>
                                            <ej:MenuItem Text="Export as JPG"></ej:MenuItem>
                                            <ej:MenuItem Text="Export as PNG"></ej:MenuItem>
                                            <ej:MenuItem Text="Export as BMP"></ej:MenuItem>
                                            <ej:MenuItem Text="Print"></ej:MenuItem>
                                        </Items>
                                    </ej:MenuItem>
                                    <ej:MenuItem Id="menuedit" Text="Edit">
                                        <Items>
                                            <ej:MenuItem Text="Undo"></ej:MenuItem>
                                            <ej:MenuItem Text="Redo"></ej:MenuItem>
                                            <ej:MenuItem Text="Select All"></ej:MenuItem>
                                            <ej:MenuItem SpriteCssClass="e-seperator"></ej:MenuItem>
                                            <ej:MenuItem Text="Cut"></ej:MenuItem>
                                            <ej:MenuItem Text="Copy"></ej:MenuItem>
                                            <ej:MenuItem Text="Paste"></ej:MenuItem>
                                            <ej:MenuItem Text="Delete"></ej:MenuItem>
                                        </Items>
                                    </ej:MenuItem>
                                    <ej:MenuItem Id="menuview" Text="View">
                                        <Items>
                                            <ej:MenuItem Id="SmartGuid" Text="Smart Guide" SpriteCssClass="icon-checkmark2"></ej:MenuItem>
                                            <ej:MenuItem Id="GridLines" Text="Grid Lines" SpriteCssClass="icon-checkmark2"></ej:MenuItem>
                                            <ej:MenuItem Id="SnapToGrid" Text="Snap To Grid" SpriteCssClass="icon-checkmark2"></ej:MenuItem>
                                        </Items>
                                    </ej:MenuItem>
                                    <ej:MenuItem Id="menuaction" Text="Actions">
                                        <Items>
                                            <ej:MenuItem Text="Align">
                                                <Items>
                                                    <ej:MenuItem Text="Left"></ej:MenuItem>
                                                    <ej:MenuItem Text="Right"></ej:MenuItem>
                                                    <ej:MenuItem Text="Center"></ej:MenuItem>
                                                    <ej:MenuItem Text="Top"></ej:MenuItem>
                                                    <ej:MenuItem Text="Bottom"></ej:MenuItem>
                                                    <ej:MenuItem Text="Middle"></ej:MenuItem>
                                                    <ej:MenuItem Text="Space Down"></ej:MenuItem>
                                                    <ej:MenuItem Text="Space Across"></ej:MenuItem>
                                                </Items>
                                            </ej:MenuItem>
                                            <ej:MenuItem Text="Grouping">
                                                <Items>
                                                    <ej:MenuItem Text="Group"></ej:MenuItem>
                                                    <ej:MenuItem Text="Ungroup"></ej:MenuItem>
                                                </Items>
                                            </ej:MenuItem>
                                            <ej:MenuItem Text="Order">
                                                <Items>
                                                    <ej:MenuItem Text="Bring To Front"></ej:MenuItem>
                                                    <ej:MenuItem Text="Bring Forward"></ej:MenuItem>
                                                    <ej:MenuItem Text="Send To Back"></ej:MenuItem>
                                                    <ej:MenuItem Text="Send Backward"></ej:MenuItem>
                                                </Items>
                                            </ej:MenuItem>
                                            <ej:MenuItem Text="Resize">
                                                <Items>
                                                    <ej:MenuItem Text="Same Size"></ej:MenuItem>
                                                    <ej:MenuItem Text="Same Height"></ej:MenuItem>
                                                    <ej:MenuItem Text="Same Width"></ej:MenuItem>
                                                </Items>
                                            </ej:MenuItem>
                                        </Items>
                                    </ej:MenuItem>
                                </Items>
                            </ej:Menu>
                        </div>
                    </div>
                </div>
                <div class="sample-header-toolbar">
                    <div style="float: right; margin-top: 8px; margin-right: 20px;">
                        <input type="button" id="save_icon" onclick="saveIcon()" value="Save" style="font-size: 12px; width: 60px; border: medium none; color: #FFFFFF; font-family: Segoe UI; height: 25px; -moz-border-radius: 15px; -webkit-border-radius: 5px; border-radius: 5px;" />
                    </div>
                    <div class="Diagram-Toolbar">
                        <table>
                            <tr>
                                <td>
                                    <ej:Toolbar ID="toolbarEvents" runat="server" ClientSideOnItemHover="ToolBarMouseOver(this)" ClientSideOnItemLeave="ToolBarMouseOut(this)">
                                        <Items>
                                            <ej:ToolbarItem Id="Redo_Tool" TooltipText="Redo" HtmlAttributes="border: none;margin-top: -2px; border: 1px solid transparent" SpriteCssClass="icon-TBi__Redo toolBarIconStyle">
                                            </ej:ToolbarItem>
                                            <ej:ToolbarItem IsSeparator="true" Id="Undo_Tool" TooltipText="Undo" HtmlAttributes="margin-top: -2px;" SpriteCssClass="icon-TBi__Undo toolBarIconStyle">
                                            </ej:ToolbarItem>
                                            <ej:ToolbarItem Id="zoompercentageList" TooltipText="Zoom" HtmlAttributes="height:25px; width: 100px;">
                                                <Template>
                                                    <ej:DropDownList ID="zoompercentage" ClientSideOnChange="evtpropscheckedevent" runat="server" CssClass="e-ZoomPercent" SelectedItemIndex="3" PopupHeight="250px">
                                                        <Items>
                                                            <ej:DropDownListItem Text="400%" Value="400%"></ej:DropDownListItem>
                                                            <ej:DropDownListItem Text="200%" Value="200%"></ej:DropDownListItem>
                                                            <ej:DropDownListItem Text="150%" Value="150%"></ej:DropDownListItem>
                                                            <ej:DropDownListItem Text="100%" Value="100%"></ej:DropDownListItem>
                                                            <ej:DropDownListItem Text="75%" Value="75%"></ej:DropDownListItem>
                                                            <ej:DropDownListItem Text="50%" Value="50%"></ej:DropDownListItem>
                                                            <ej:DropDownListItem Text="25%" Value="25%"></ej:DropDownListItem>
                                                        </Items>
                                                    </ej:DropDownList>
                                                </Template>
                                            </ej:ToolbarItem>
                                            <ej:ToolbarItem Id="ZoomIn_Tool" TooltipText="ZoomIn" HtmlAttributes="margin-left: 45px;margin-top: -2px; border: 1px solid transparent" SpriteCssClass="icon-TBi__Zoomin toolBarIconStyle">
                                            </ej:ToolbarItem>
                                            <ej:ToolbarItem Id="ZoomOut_Tool" TooltipText="ZoomOut" IsSeparator="true" HtmlAttributes="margin-top: -2px;" SpriteCssClass="icon-TBi__Zoomout toolBarIconStyle">
                                            </ej:ToolbarItem>
                                            <ej:ToolbarItem Id="FitToPage_Tool" TooltipText="Fit To Page" IsSeparator="true" HtmlAttributes="margin-top: -2px;" SpriteCssClass="icon-TBi__FitToPage toolBarIconStyle">
                                            </ej:ToolbarItem>
                                            <ej:ToolbarItem Id="Pan_Tool" TooltipText="Pan" HtmlAttributes="margin-left: 10px;margin-top: -2px; border: 1px solid transparent" SpriteCssClass="icon-TBi__pan toolBarIconStyle">
                                            </ej:ToolbarItem>
                                            <ej:ToolbarItem Id="MoveTool_Tool" TooltipText="Select" HtmlAttributes="background-color: #D3D1D1;margin-top: -2px; border: 1px solid transparent" SpriteCssClass="icon-TBi__MoveTool toolBarIconStyle">
                                            </ej:ToolbarItem>
                                            <ej:ToolbarItem Id="Text_Tool" TooltipText="TextTool" HtmlAttributes="margin-top: -2px;border: 1px solid transparent" SpriteCssClass="icon-TBi__Text toolBarIconStyle">
                                            </ej:ToolbarItem>
                                            <ej:ToolbarItem Id="ConnectorDraw_Tool" TooltipText="Orthogonal Connection" IsSeparator="true" HtmlAttributes="margin-top: -2px;" SpriteCssClass="icon-Con__Orthogonal toolBarIconStyle">
                                            </ej:ToolbarItem>
                                            <ej:ToolbarItem Id="ConnectorDraw_Tool_Straight" TooltipText="Straight Connection" IsSeparator="true" HtmlAttributes="margin-top: -2px;" SpriteCssClass="icon-Con__Stright toolBarIconStyle">
                                            </ej:ToolbarItem>
                                            <ej:ToolbarItem Id="Delete_Tool" TooltipText="Delete" HtmlAttributes="margin-left: 10px;margin-top: -2px; border: 1px solid transparent" SpriteCssClass="icon-TBi__Delete toolBarIconStyle">
                                            </ej:ToolbarItem>
                                            <ej:ToolbarItem Id="Lock_Tool" TooltipText="Lock" IsSeparator="true" HtmlAttributes="margin-top: -2px;" SpriteCssClass="icon-TBi__Lock toolBarIconStyle">
                                            </ej:ToolbarItem>
                                            <ej:ToolbarItem Id="Group_Tool" TooltipText="Group" HtmlAttributes="margin-left: 10px;margin-top: -2px; border: 1px solid transparent" SpriteCssClass="icon-TBi__Group toolBarIconStyle">
                                            </ej:ToolbarItem>
                                            <ej:ToolbarItem Id="UnGroup_Tool" TooltipText="UnGroup" IsSeparator="true" HtmlAttributes="margin-right: 10px;margin-top: -2px; border: 1px solid transparent" SpriteCssClass="icon-TBi__Ungroup toolBarIconStyle">
                                            </ej:ToolbarItem>
                                            <ej:ToolbarItem Id="SendBackward_Tool" TooltipText="SendBackward" HtmlAttributes="margin-left: 10px;margin-top: -2px; border: 1px solid transparent" SpriteCssClass="icon-TBi__SendBack toolBarIconStyle">
                                            </ej:ToolbarItem>
                                            <ej:ToolbarItem Id="MoveForward_Tool" TooltipText="MoveForward" HtmlAttributes="margin-top: -2px;border: 1px solid transparent" SpriteCssClass="icon-TBi__MoveForward toolBarIconStyle">
                                            </ej:ToolbarItem>
                                            <ej:ToolbarItem Id="SendToBack_Tool" TooltipText="SendToBack" HtmlAttributes="margin-top: -2px;border: 1px solid transparent" SpriteCssClass="icon-TBi__BringtoBack toolBarIconStyle">
                                            </ej:ToolbarItem>
                                            <ej:ToolbarItem Id="BringToFront_Tool" TooltipText="BringToFront" HtmlAttributes="margin-right: 10px;margin-top: -2px; border: 1px solid transparent" SpriteCssClass="icon-TBi__BringtoFront toolBarIconStyle">
                                            </ej:ToolbarItem>
                                            <ej:ToolbarItem Id="AlignLeft_Tool" TooltipText="LeftAlign" HtmlAttributes="margin-left: 10px;margin-top: -2px; border: 1px solid transparent" SpriteCssClass="icon-TBi__HarizontalAlignLeft toolBarIconStyle">
                                            </ej:ToolbarItem>
                                            <ej:ToolbarItem Id="AlignCenter_Tool" TooltipText="CenterAlign" HtmlAttributes="margin-top: -2px;border: 1px solid transparent" SpriteCssClass="icon-TBi__HarizontalAlignCenter toolBarIconStyle">
                                            </ej:ToolbarItem>
                                            <ej:ToolbarItem Id="AlignRight_Tool" TooltipText="RightAlign" HtmlAttributes="margin-top: -2px;border: 1px solid transparent" SpriteCssClass="icon-TBi__HarizontalAlignRight toolBarIconStyle">
                                            </ej:ToolbarItem>
                                            <ej:ToolbarItem Id="AlignBottom_Tool" TooltipText="BottomAlign" HtmlAttributes="margin-top: -2px;border: 1px solid transparent" SpriteCssClass="icon-TBi__VerticalAlignBottom toolBarIconStyle">
                                            </ej:ToolbarItem>
                                            <ej:ToolbarItem Id="AlignTop_Tool" TooltipText="TopAlign" HtmlAttributes="margin-top: -2px;border: 1px solid transparent" SpriteCssClass="icon-TBi__VerticalAlignTop toolBarIconStyle">
                                            </ej:ToolbarItem>
                                            <ej:ToolbarItem Id="AlignMiddle_Tool" TooltipText="MiddleAlign" HtmlAttributes="margin-right: 10px;margin-top: -2px; border: 1px solid transparent" SpriteCssClass="icon-TBi__VerticalAlignCenter toolBarIconStyle">
                                            </ej:ToolbarItem>
                                        </Items>
                                    </ej:Toolbar>
                                </td>
                                <td>
                                    <ej:Toolbar ID="artboardEvents" runat="server">
                                        <Items>
                                            <ej:ToolbarItem Text="Artboard" HtmlAttributes="margin-left: 10px; margin-top:3px; border: 1px solid transparent; font-weight: normal; font-size: 14px; width:60px">
                                            </ej:ToolbarItem>
                                            <ej:ToolbarItem>
                                                <Template>
                                                    <label style="width: 25px; font-weight: normal; font-size: 14px; float: left; margin-top: 3px;">W :</label>
                                                    <div style="margin-top: 1px">
                                                        <input id="artBoardWidth" type="text" style="width: 50px;" />
                                                    </div>
                                                </Template>
                                            </ej:ToolbarItem>
                                            <ej:ToolbarItem>
                                                <Template>
                                                    <label style="width: 22px; font-weight: normal; font-size: 14px; float: left; margin-top: 3px;">H :</label>
                                                    <div style="margin-top: 1px">
                                                        <input id="artBoardHeight" type="text" style="width: 50px;" />
                                                    </div>
                                                </Template>
                                            </ej:ToolbarItem>
                                            <ej:ToolbarItem>
                                                <Template>
                                                    <label style="width: 85px; font-weight: normal; font-size: 14px; float: left; margin-top: 3px;">Background :</label>
                                                    <div>
                                                        <div style="width: 25px; height: 25px; border: 1px solid; border-color: #bbbcbb; margin-left: 5px; margin-top: 1px;">
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <table>
                                                                            <tr>
                                                                                <td>
                                                                                    <div style="margin-top: 4px;">
                                                                                        <span id="backgroundIcon" class="icon-Pi__Fill backgroundIconStyle"></span>
                                                                                    </div>
                                                                                </td>
                                                                            </tr>
                                                                            <tr>
                                                                                <td>
                                                                                    <div class="backgroundColordropdown">
                                                                                        <input type="text" id="pageBackgroundColor" />
                                                                                        <div id="pageBackgroundColorDiv">
                                                                                            <ul>
                                                                                                <li style="background-color: transparent">
                                                                                                    <div style="margin-left: 6px">
                                                                                                        <div class="subDiv1" id="Div1" style="background-color: #FFFFFF; border: 1px solid; border-color: #3A3A3A" onmousedown="setBackgroundColor(this)" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                                        <div class="subDiv1" id="Div2" style="background-color: #F9D9D9; border: 1px solid; border-color: #3A3A3A" onmousedown="setBackgroundColor(this)" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                                        <div class="subDiv1" id="Div3" style="background-color: #FFE6CC; border: 1px solid; border-color: #3A3A3A" onmousedown="setBackgroundColor(this)" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                                        <div class="subDiv1" id="Div4" style="background-color: #FFFF99; border: 1px solid; border-color: #3A3A3A" onmousedown="setBackgroundColor(this)" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                                        <div class="subDiv1" id="Div5" style="background-color: #CCFFCC; border: 1px solid; border-color: #3A3A3A" onmousedown="setBackgroundColor(this)" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                                        <div class="subDiv1" id="Div6" style="background-color: #CCFFFF; border: 1px solid; border-color: #3A3A3A" onmousedown="setBackgroundColor(this)" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                                        <div class="subDiv1" id="Div7" style="background-color: #D4D4F9; border: 1px solid; border-color: #3A3A3A" onmousedown="setBackgroundColor(this)" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                                        <div class="subDiv1" id="Div8" style="background-color: #E5CCFF; border: 1px solid; border-color: #3A3A3A" onmousedown="setBackgroundColor(this)" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                                        <div class="subDiv1" id="Div9" style="background-color: #FFCCFF; border: 1px solid; border-color: #3A3A3A" onmousedown="setBackgroundColor(this)" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                                        <div class="subDiv1" id="Div10" style="background-color: #FFCCE6; border: 1px solid; border-color: #3A3A3A" onmousedown="setBackgroundColor(this)" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                                        <div class="subDiv1" id="Div11" style="background-color: #E5E5E5; border: 1px solid; border-color: #3A3A3A" onmousedown="setBackgroundColor(this)" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                                        <div class="subDiv1" id="Div12" style="background-color: #FF9999; border: 1px solid; border-color: #3A3A3A" onmousedown="setBackgroundColor(this)" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                                        <div class="subDiv1" id="Div13" style="background-color: #FCC088; border: 1px solid; border-color: #3A3A3A" onmousedown="setBackgroundColor(this)" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                                        <div class="subDiv1" id="Div14" style="background-color: #FFFF33; border: 1px solid; border-color: #3A3A3A" onmousedown="setBackgroundColor(this)" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                                        <div class="subDiv1" id="Div15" style="background-color: #99FF33; border: 1px solid; border-color: #3A3A3A" onmousedown="setBackgroundColor(this)" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                                        <div class="subDiv1" id="Div16" style="background-color: #66FFFF; border: 1px solid; border-color: #3A3A3A" onmousedown="setBackgroundColor(this)" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                                        <div class="subDiv1" id="Div17" style="background-color: #7E7EFC; border: 1px solid; border-color: #3A3A3A" onmousedown="setBackgroundColor(this)" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                                        <div class="subDiv1" id="Div18" style="background-color: #CC99FF; border: 1px solid; border-color: #3A3A3A" onmousedown="setBackgroundColor(this)" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                                        <div class="subDiv1" id="Div19" style="background-color: #FF99FF; border: 1px solid; border-color: #3A3A3A" onmousedown="setBackgroundColor(this)" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                                        <div class="subDiv1" id="Div20" style="background-color: #FF66B3; border: 1px solid; border-color: #3A3A3A" onmousedown="setBackgroundColor(this)" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                                        <div class="subDiv1" id="Div21" style="background-color: #262626; border: 1px solid; border-color: #3A3A3A" onmousedown="setBackgroundColor(this)" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                                        <div class="subDiv1" id="Div22" style="background-color: #FF0000; border: 1px solid; border-color: #3A3A3A" onmousedown="setBackgroundColor(this)" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                                        <div class="subDiv1" id="Div23" style="background-color: #FF8000; border: 1px solid; border-color: #3A3A3A" onmousedown="setBackgroundColor(this)" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                                        <div class="subDiv1" id="Div24" style="background-color: #CCCC00; border: 1px solid; border-color: #3A3A3A" onmousedown="setBackgroundColor(this)" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                                        <div class="subDiv1" id="Div25" style="background-color: #66CC00; border: 1px solid; border-color: #3A3A3A" onmousedown="setBackgroundColor(this)" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                                        <div class="subDiv1" id="Div26" style="background-color: #00CCCC; border: 1px solid; border-color: #3A3A3A" onmousedown="setBackgroundColor(this)" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                                        <div class="subDiv1" id="Div27" style="background-color: #3333FF; border: 1px solid; border-color: #3A3A3A" onmousedown="setBackgroundColor(this)" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                                        <div class="subDiv1" id="Div28" style="background-color: #7F00FF; border: 1px solid; border-color: #3A3A3A" onmousedown="setBackgroundColor(this)" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                                        <div class="subDiv1" id="Div29" style="background-color: #FF00FF; border: 1px solid; border-color: #3A3A3A" onmousedown="setBackgroundColor(this)" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                                        <div class="subDiv1" id="Div30" style="background-color: #FF0080; border: 1px solid; border-color: #3A3A3A" onmousedown="setBackgroundColor(this)" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                                        <div class="subDiv1" id="Div31" style="background-color: #0C0C0C; border: 1px solid; border-color: #3A3A3A" onmousedown="setBackgroundColor(this)" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                                        <div class="subDiv1" id="Div32" style="background-color: #CC0000; border: 1px solid; border-color: #3A3A3A" onmousedown="setBackgroundColor(this)" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                                        <div class="subDiv1" id="Div33" style="background-color: #994C00; border: 1px solid; border-color: #3A3A3A" onmousedown="setBackgroundColor(this)" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                                        <div class="subDiv1" id="Div34" style="background-color: #999900; border: 1px solid; border-color: #3A3A3A" onmousedown="setBackgroundColor(this)" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                                        <div class="subDiv1" id="Div35" style="background-color: #006600; border: 1px solid; border-color: #3A3A3A" onmousedown="setBackgroundColor(this)" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                                        <div class="subDiv1" id="Div36" style="background-color: #009999; border: 1px solid; border-color: #3A3A3A" onmousedown="setBackgroundColor(this)" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                                        <div class="subDiv1" id="Div37" style="background-color: #000066; border: 1px solid; border-color: #3A3A3A" onmousedown="setBackgroundColor(this)" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                                        <div class="subDiv1" id="Div38" style="background-color: #4C0099; border: 1px solid; border-color: #3A3A3A" onmousedown="setBackgroundColor(this)" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                                        <div class="subDiv1" id="Div39" style="background-color: #990099; border: 1px solid; border-color: #3A3A3A" onmousedown="setBackgroundColor(this)" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                                        <div class="subDiv1" id="Div40" style="background-color: #99004D; border: 1px solid; border-color: #3A3A3A; margin-bottom: 10px" onmousedown="setBackgroundColor(this)" onmouseover="    MouseEnterOnColorPalette(this)" onmouseout="    MouseLeaveOnColorPalette(this)"></div>
                                                                                                    </div>
                                                                                                </li>
                                                                                            </ul>
                                                                                        </div>
                                                                                    </div>
                                                                                </td>
                                                                            </tr>
                                                                        </table>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </div>
                                                    </div>
                                                </Template>
                                            </ej:ToolbarItem>
                                        </Items>
                                    </ej:Toolbar>
                                </td>
                            </tr>
                        </table>
                    </div>
                </div>
            </div>

        </div>
        <div class="sample-main" id="sample-main">
            <div id="main-left">
                <asp:ScriptManager ID="scriptManager1" runat="server"></asp:ScriptManager>
                <div id="palette-div1" style="width: 270px;">
                    <div class="searchicon-parent-div1">
                        <input type="text" id="textbox_maxi" style="border: medium none; float: left; height: 30px; margin-left: 6px; outline: medium none; width: calc(270px - 60px);"
                            onclick="maxiTextBoxClick()" onkeyup="onSearchBoxTextChange_maxi()" />
                        <div id="searchbox_icon-maxi" class="searchbox_icon-maxi" onclick="clearText()"></div>
                        <div id="edit_splitter_hideslide"></div>

                    </div>
                    <ej:SymbolPalette ID="symbolpalette" runat="server">
                    </ej:SymbolPalette>
                </div>
                <div id="overview-div1" class="Overview-div" style="width: 253px; float: left">
                    <ej:Overview ID="Overview" runat="server" Height="158px" Width="254px"></ej:Overview>
                    <table cellpadding="3px">
                        <tr>
                            <td><span class="sliderValue"></span></td>
                            <td>
                                <ej:Slider ID="overviewSlider" runat="server" Height="8px" Width="205px" MinValue="25" MaxValue="400" Value="100" ClientSideOnChange="OnChange" ClientSideOnSlide="OnChange" ClientSideOnCreate="OnCreate"></ej:Slider>
                            </td>
                        </tr>
                    </table>
                </div>

                <div id="minimizedPalette"></div>
            </div>
            <div id="main-right">
                <ej:Diagram ID="DiagramContent" runat="server" Height="100%" Width="100%">
                </ej:Diagram>
            </div>
            <div id="propertyEditor" style="float: right; display: none">
                <div id="tabitems" class="PropertyPanel">

                    <div class="MenuSize">
                        <div style="height: 47px">
                            <ul>
                                <li class="menulistyle" style="float: left; border-left: none; border-top-color: lightgray; outline: none;">
                                    <a href="#steelman" style="width: 28px; height: 26px; outline: none;">
                                        <span id="pinspan" class="icon-PH__TabBin tabIconStyle" data-bind="style: { color: tabPinIcon }"></span>
                                    </a>
                                </li>
                                <li class="menulistyle" style="float: left; border-top-color: lightgray; outline: none;">

                                    <a href="#nodeprop" style="width: 28px; height: 30px; outline: none;">
                                        <span class="icon-PH__NodeProperty tabIconStyle" data-bind="style: { color: tabnodeicon }"></span>
                                    </a>

                                </li>
                                <li class="menulistyle" style="float: left; border-top-color: lightgray; outline: none;">

                                    <a href="#textprop" style="width: 28px; height: 30px; outline: none;">
                                        <span class="icon-PH__TextProperty tabIconStyle" data-bind="style: { color: tabTextIcon }"></span>
                                    </a>

                                </li>
                                <li class="menulistyle" style="float: left; border-top-color: lightgray; outline: none;">

                                    <a href="#lineprop" style="width: 28px; height: 30px; outline: none;">
                                        <span class="icon-Pi__Connector tabIconStyle" data-bind="style: { color: tabConnectorIcon }"></span>
                                    </a>
                                </li>
                            </ul>
                        </div>

                        <div id="nodeprop" class="MenuSize SubMenuSize" style="width: 100%;">
                            <div style="margin-left: -11px">
                                <div>
                                    <div>
                                        <label class="label" style="margin-top: 20px; font-size: 15px; font-weight: bold; color: #1E989E">Properties</label>
                                    </div>
                                </div>
                                <table style="margin-top: 17px;">
                                    <tr>
                                        <td>
                                            <div data-bind="style: { backgroundColor: fillDivColor }" style="width: 45px; height: 45px; margin-left: 5px; border: 1px solid; border-color: #bbbcbb" onmouseover="MouseEnterOnDiv(this,'fillColor','icon-Pi__Fill')" onmouseout="MouseLeaveFromDiv(this,'fillColor','icon-Pi__Fill')">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <div style="margin-top: 8px; margin-left: -1px;">
                                                                            <span id="fillicon" class="icon-Pi__Fill fillIconStyle" data-bind="style: { color: fillColor }"></span>
                                                                        </div>
                                                                        <div style="margin-top: -33px">
                                                                            <span class="icon-Pi__Button-Corner" data-bind="style: { color: fillCornerColor }"></span>
                                                                        </div>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>
                                                                        <div class="dropdownPositionStyle">
                                                                            <input type="text" id="fillColor" style="width: 0px" />
                                                                            <div id="fillColorDiv">

                                                                                <ul>
                                                                                    <li style="background-color: transparent">
                                                                                        <div style="margin-left: 6px">
                                                                                            <div class="subDiv" id="redcolordiv" style="background-color: #0C0C0C; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div1" style="background-color: #262626; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div2" style="background-color: #E5E5E5; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div3" style="background-color: #FFFFFF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div4" style="background-color: #CC0000; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div5" style="background-color: #FF0000; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div6" style="background-color: #FF9999; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div7" style="background-color: #F9D9D9; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div8" style="background-color: #994C00; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div9" style="background-color: #FF8000; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div10" style="background-color: #FCC088; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div11" style="background-color: #FFE6CC; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div12" style="background-color: #999900; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div38" style="background-color: #CCCC00; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div39" style="background-color: #FFFF33; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div40" style="background-color: #FFFF99; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div41" style="background-color: #006600; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div42" style="background-color: #66CC00; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div43" style="background-color: #99FF33; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div44" style="background-color: #CCFFCC; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div45" style="background-color: #009999; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div105" style="background-color: #00CCCC; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div46" style="background-color: #66FFFF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div88" style="background-color: #CCFFFF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div89" style="background-color: #000066; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div90" style="background-color: #3333FF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div91" style="background-color: #7E7EFC; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div92" style="background-color: #D4D4F9; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div93" style="background-color: #4C0099; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div94" style="background-color: #7F00FF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div95" style="background-color: #CC99FF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div96" style="background-color: #E5CCFF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div97" style="background-color: #990099; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div98" style="background-color: #FF00FF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div99" style="background-color: #FF99FF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div100" style="background-color: #FFCCFF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div101" style="background-color: #99004D; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div102" style="background-color: #FF0080; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div103" style="background-color: #FF66B3; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div104" style="background-color: #FFCCE6; border: 1px solid; border-color: #3A3A3A; margin-bottom: 10px" onmousedown="PropertyChangesFromPanel(this, 'Fill')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                        </div>

                                                                                    </li>
                                                                                </ul>

                                                                            </div>
                                                                        </div>
                                                                        <div style="margin-left: -2px; margin-top: 5px">
                                                                            <label style="font-size: 11px; font-weight: normal">Fill Color</label>
                                                                        </div>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </div>
                                        </td>
                                        <td>
                                            <div data-bind="style: { backgroundColor: strokeDivColor }" style="width: 45px; height: 45px; border: 1px solid; border-color: #bbbcbb; margin-left: 22px" onmouseover="MouseEnterOnDiv(this,'stroke','icon-Pi__Stroke-Fill')" onmouseout="MouseLeaveFromDiv(this,'stroke','icon-Pi__Stroke-Fill')">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <div style="margin-top: 7px; margin-left: 3px">
                                                                <!--<span id="borderColorIcon" class="icon-Pi__Stroke-Fill" data-bind="style:{color: stroke}"></span>-->
                                                                <div>
                                                                    <span class="icon-Strokefillpen propertyPanelIconStyle" style="font-size: 21px" data-bind="style: { color: strokePenColor }"></span>
                                                                </div>
                                                                <div style="margin-top: -17px">
                                                                    <span id="borderColorIcon" class="icon-Strokefillcolor propertyPanelIconStyle" data-bind="style: { color: stroke }"></span>
                                                                </div>
                                                            </div>
                                                            <div style="margin-top: -37px; margin-left: 1px;">
                                                                <span class="icon-Pi__Button-Corner" data-bind="style: { color: strokeCornerColor }"></span>
                                                            </div>

                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <div class="dropdownPositionStyle">
                                                                <input type="text" id="stroke" style="width: 0px" />
                                                                <div id="strokeDiv" style="background-color: red">
                                                                    <ul>
                                                                        <li style="background-color: transparent">
                                                                            <div style="margin-left: 6px">
                                                                                <div class="subDiv" id="Div14" style="background-color: #0C0C0C; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                <div class="subDiv" id="Div15" style="background-color: #262626; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                <div class="subDiv" id="Div16" style="background-color: #E5E5E5; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                <div class="subDiv" id="Div17" style="background-color: #FFFFFF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                <div class="subDiv" id="Div18" style="background-color: #CC0000; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                <div class="subDiv" id="Div19" style="background-color: #FF0000; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                <div class="subDiv" id="Div20" style="background-color: #FF9999; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                <div class="subDiv" id="Div21" style="background-color: #F9D9D9; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                <div class="subDiv" id="Div22" style="background-color: #994C00; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                <div class="subDiv" id="Div23" style="background-color: #FF8000; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                <div class="subDiv" id="Div24" style="background-color: #FCC088; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                <div class="subDiv" id="Div25" style="background-color: #FFE6CC; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                <div class="subDiv" id="Div47" style="background-color: #999900; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                <div class="subDiv" id="Div48" style="background-color: #CCCC00; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                <div class="subDiv" id="Div49" style="background-color: #FFFF33; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                <div class="subDiv" id="Div61" style="background-color: #FFFF99; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                <div class="subDiv" id="Div62" style="background-color: #006600; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                <div class="subDiv" id="Div63" style="background-color: #66CC00; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                <div class="subDiv" id="Div64" style="background-color: #99FF33; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                <div class="subDiv" id="Div65" style="background-color: #CCFFCC; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                <div class="subDiv" id="Div66" style="background-color: #009999; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                <div class="subDiv" id="Div67" style="background-color: #00CCCC; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                <div class="subDiv" id="Div106" style="background-color: #66FFFF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                <div class="subDiv" id="Div107" style="background-color: #CCFFFF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                <div class="subDiv" id="Div108" style="background-color: #000066; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                <div class="subDiv" id="Div109" style="background-color: #3333FF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                <div class="subDiv" id="Div110" style="background-color: #7E7EFC; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                <div class="subDiv" id="Div111" style="background-color: #D4D4F9; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                <div class="subDiv" id="Div112" style="background-color: #4C0099; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                <div class="subDiv" id="Div113" style="background-color: #7F00FF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                <div class="subDiv" id="Div114" style="background-color: #CC99FF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                <div class="subDiv" id="Div115" style="background-color: #E5CCFF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                <div class="subDiv" id="Div116" style="background-color: #990099; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                <div class="subDiv" id="Div117" style="background-color: #FF00FF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                <div class="subDiv" id="Div118" style="background-color: #FF99FF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                <div class="subDiv" id="Div119" style="background-color: #FFCCFF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                <div class="subDiv" id="Div120" style="background-color: #99004D; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                <div class="subDiv" id="Div121" style="background-color: #FF0080; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                <div class="subDiv" id="Div122" style="background-color: #FF66B3; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                <div class="subDiv" id="Div123" style="background-color: #FFCCE6; border: 1px solid; border-color: #3A3A3A; margin-bottom: 10px" onmousedown="PropertyChangesFromPanel(this, 'Stroke')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                            </div>

                                                                        </li>
                                                                    </ul>


                                                                </div>
                                                            </div>
                                                            <div style="margin-top: 10px; margin-left: 5px;">
                                                                <label style="font-size: 11px; font-weight: normal">Stroke</label>
                                                            </div>
                                                        </td>

                                                    </tr>
                                                </table>
                                            </div>
                                        </td>
                                        <td>
                                            <div data-bind="style: { backgroundColor: borderthicknessDivColor }" style="width: 45px; height: 45px; border: 1px solid; border-color: #bbbcbb; margin-left: 22px" onmouseover="MouseEnterOnDiv(this,'borderthickness','icon-Pi__Line-Width')" onmouseout="MouseLeaveFromDiv(this,'borderthickness','icon-Pi__Line-Width')">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <div style="margin-top: 9px; margin-left: 1px">
                                                                <span id="borderWidthIcon" class="icon-Pi__LineWidth propertyPanelIconStyle" data-bind="style: { color: borderthicknessfontColor }"></span>
                                                            </div>
                                                            <div style="margin-top: -31px; margin-left: 1px;">
                                                                <span class="icon-Pi__Button-Corner" data-bind="style: { color: borderthicknessCornerColor }"></span>
                                                            </div>

                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <div class="dropdownPositionStyle">
                                                                <input type="text" id="borderWidth" style="width: 0px" />
                                                                <div id="borderWidthDiv">
                                                                    <ul>
                                                                        <li style="height: 25px">
                                                                            <div style="margin-top: 3px">
                                                                                <label style="font-weight: bold">1 px</label>
                                                                                <div style="background-color: black; width: 45px; height: 1px; float: right; margin-top: 12px; margin-left: 20px; margin-right: 5px"></div>
                                                                            </div>
                                                                        </li>
                                                                        <li style="height: 25px">

                                                                            <div style="margin-top: 3px">
                                                                                <label style="font-weight: bold">2 px</label>
                                                                                <div style="background-color: black; width: 45px; height: 2px; float: right; margin-top: 10px; margin-left: 20px; margin-right: 5px"></div>
                                                                            </div>
                                                                        </li>
                                                                        <li style="height: 25px">

                                                                            <div style="margin-top: 3px">
                                                                                <label style="font-weight: bold">3 px</label>
                                                                                <div style="background-color: black; width: 45px; height: 3px; float: right; margin-top: 9px; margin-left: 20px; margin-right: 5px"></div>
                                                                            </div>
                                                                        </li>
                                                                        <li style="height: 25px">
                                                                            <div style="margin-top: 3px">
                                                                                <label style="font-weight: bold">4 px</label>
                                                                                <div style="background-color: black; width: 45px; height: 4px; float: right; margin-top: 9px; margin-left: 20px; margin-right: 5px"></div>
                                                                            </div>
                                                                        </li>
                                                                        <li style="height: 25px">

                                                                            <div style="margin-top: 3px">
                                                                                <label style="font-weight: bold">5 px</label>
                                                                                <div style="background-color: black; width: 45px; height: 5px; float: right; margin-top: 8px; margin-left: 20px; margin-right: 5px"></div>
                                                                            </div>
                                                                        </li>
                                                                        <li style="height: 25px">

                                                                            <div style="margin-top: 3px">
                                                                                <label style="font-weight: bold">6 px</label>
                                                                                <div style="background-color: black; width: 45px; height: 6px; float: right; margin-top: 8px; margin-left: 20px; margin-right: 5px"></div>
                                                                            </div>
                                                                        </li>
                                                                        <li style="height: 25px">
                                                                            <div style="margin-top: 3px">
                                                                                <label style="font-weight: bold">7 px</label>
                                                                                <div style="background-color: black; width: 45px; height: 7px; float: right; margin-top: 8px; margin-left: 20px; margin-right: 5px"></div>
                                                                            </div>
                                                                        </li>
                                                                        <li style="height: 25px">
                                                                            <div style="margin-top: 3px">
                                                                                <label style="font-weight: bold">8 px</label>
                                                                                <div style="background-color: black; width: 45px; height: 8px; float: right; margin-top: 7px; margin-left: 20px; margin-right: 5px"></div>
                                                                            </div>
                                                                        </li>
                                                                    </ul>
                                                                </div>
                                                            </div>
                                                            <div>
                                                                <label style="font-size: 11px; margin-left: -3px; margin-top: 5px; font-weight: normal">Thickness</label>
                                                            </div>
                                                        </td>

                                                    </tr>
                                                </table>
                                            </div>

                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <div data-bind="style: { backgroundColor: gradientDivColor }" style="width: 45px; height: 45px; border: 1px solid; border-color: #bbbcbb; margin-left: 5px; margin-top: 40px" onmousedown="PropertyChangesFromPanel(this,'Gradient')" onmouseover="MouseEnterOnDiv(this,'gradient','icon-Pi__Credient')" onmouseout="MouseLeaveFromDiv(this,'gradient','icon-Pi__Credient')">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <div style="margin-top: 8px; margin-left: 8px;">
                                                                <div id="gradientDiv" style="width: 27px; height: 27px"></div>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <div style="margin-top: 8px; margin-left: -1px">
                                                                <label style="font-size: 11px; font-weight: normal">Gradient</label>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </div>
                                        </td>
                                        <td>
                                            <div data-bind="style: { backgroundColor: lockDivColor }" style="width: 45px; height: 45px; margin-left: 22px; margin-top: 40px; border: 1px solid; border-color: #bbbcbb" onmousedown="PropertyChangesFromPanel(this,'Lock')" onmouseover="MouseEnterOnDiv(this,'lock','icon-Pi__lock')" onmouseout="MouseLeaveFromDiv(this,'lock','icon-Pi__lock')">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <div style="margin-top: 9px; margin-left: 3px">
                                                                <span id="Span4" class="icon-Pi__lock propertyPanelIconStyle" data-bind="style: { color: lockfontColor }"></span>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <div style="margin-top: 10px; margin-left: 9px;">
                                                                <label style="font-size: 11px; font-weight: normal">Lock</label>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </div>

                                        </td>
                                    </tr>
                                </table>
                                <div style="margin-left: 6px; margin-top: 40px;">
                                    <label style="font-size: 11px; font-weight: normal">Opacity</label>
                                </div>
                                <div id="opacity" style="width: 100px; height: 8px; margin-top: -18px; margin-left: 50px"></div>
                                <div style="margin-top: 30px; margin-left: 10px">
                                    <label style="font-weight: bold; color: #1E989E; font-size: 15px;">Dimensions</label>
                                </div>

                                <table>
                                    <tr>
                                        <td>

                                            <div style="margin-top: 10px; margin-left: 8px">
                                                <label style="width: 20px; font-weight: bold; float: left">W</label>
                                                <input id="widthnumeric" type="text" style="width: 50px; float: left" />
                                                <!--<input id="widthbox" data-bind="value: width" style="width: 55px; float: left; text-indent: 3px; font-size: 12px;" onfocusout="PropertyChangesFromPanel(this,'height')" />-->
                                                <label style="width: 20px; margin-left: 12px; font-weight: bold; float: left">H</label>
                                                <!--<input class="proppanelInpubox" id="Text1" data-bind="value: height" style="width: 55px; float: left; text-indent: 3px; font-size: 12px;" onfocusout="PropertyChangesFromPanel(this,'height')" />-->
                                                <input id="heightnumeric" type="text" style="width: 50px; float: left" />
                                            </div>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <div style="margin-top: 25px; margin-left: 8px">
                                                <label style="width: 20px; font-weight: bold; float: left; text-indent: 3px;">X</label>
                                                <!--<input class="proppanelInpubox" id="Text2" data-bind="value: offsetX" style="width: 55px; float: left; text-indent: 3px; font-size: 12px;" onfocusout="PropertyChangesFromPanel(this,'pinX')" />-->
                                                <input id="offsetxnumeric" type="text" style="width: 50px; float: left" />
                                                <label style="width: 20px; margin-left: 12px; font-weight: bold; float: left">Y</label>
                                                <!--<input class="proppanelInpubox" id="Text3" data-bind="value: offsetY" style="width: 55px; float: left; text-indent: 3px; font-size: 12px;" onfocusout="PropertyChangesFromPanel(this,'pinY')" />-->
                                                <input id="offsetynumeric" type="text" style="width: 50px; float: left" />
                                            </div>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <div style="margin-top: 20px; margin-left: 8px">
                                                <input type="checkbox" id="aspectratioCheckBox" />
                                                <label for="aspectratioCheckBox" class="icon-Pi__lock" style="font-size: 11px; margin-left: 4px" data-bind="style: { color: 'black' }">Aspect Ratio</label>
                                            </div>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </div>

                        <div id="textprop" class="MenuSize SubMenuSize">
                            <div style="margin-left: -11px">
                                <div>
                                    <div>

                                        <label class="label" style="margin-top: 20px; font-size: 15px; font-weight: bold; color: #1E989E">Text</label>
                                    </div>
                                </div>
                                <table style="margin-top: 20px;">
                                    <tr>
                                        <td>
                                            <div data-bind="style: { backgroundColor: fontColorDiv }" style="width: 45px; height: 45px; border: 1px solid; border-color: #bbbcbb; margin-left: 5px" onmouseover="MouseEnterOnDiv(this,'fontColor','icon-Pi__Fill')" onmouseout="MouseLeaveFromDiv(this,'fontColor','icon-Pi__Fill')">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <div style="margin-top: 8px; margin-left: -1px;">
                                                                            <span id="Span1" class="icon-Pi__Fill fillIconStyle" data-bind="style: { color: labelfontColor }"></span>
                                                                        </div>
                                                                        <div style="margin-top: -33px">
                                                                            <span class="icon-Pi__Button-Corner" data-bind="style: { color: fontCornerColor }"></span>
                                                                        </div>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>
                                                                        <div class="dropdownPositionStyle">
                                                                            <input type="text" id="fontColor" style="width: 0px" />
                                                                            <div id="fontColorDiv">

                                                                                <ul>
                                                                                    <li style="background-color: transparent">

                                                                                        <div style="margin-left: 6px">
                                                                                            <div class="subDiv" id="Div26" style="background-color: #0C0C0C; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div27" style="background-color: #262626; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div28" style="background-color: #E5E5E5; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div29" style="background-color: #FFFFFF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div30" style="background-color: #CC0000; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div31" style="background-color: #FF0000; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div32" style="background-color: #FF9999; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div33" style="background-color: #F9D9D9; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div34" style="background-color: #994C00; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div35" style="background-color: #FF8000; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div36" style="background-color: #FCC088; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div37" style="background-color: #FFE6CC; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div68" style="background-color: #999900; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div69" style="background-color: #CCCC00; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div70" style="background-color: #FFFF33; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div71" style="background-color: #FFFF99; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div72" style="background-color: #006600; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div73" style="background-color: #66CC00; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div74" style="background-color: #99FF33; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div75" style="background-color: #CCFFCC; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div76" style="background-color: #009999; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div77" style="background-color: #00CCCC; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div124" style="background-color: #66FFFF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div125" style="background-color: #CCFFFF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div126" style="background-color: #000066; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div127" style="background-color: #3333FF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div128" style="background-color: #7E7EFC; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div129" style="background-color: #D4D4F9; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div130" style="background-color: #4C0099; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div131" style="background-color: #7F00FF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div132" style="background-color: #CC99FF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div133" style="background-color: #E5CCFF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div134" style="background-color: #990099; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div135" style="background-color: #FF00FF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div136" style="background-color: #FF99FF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div137" style="background-color: #FFCCFF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div138" style="background-color: #99004D; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div139" style="background-color: #FF0080; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div140" style="background-color: #FF66B3; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div141" style="background-color: #FFCCE6; border: 1px solid; border-color: #3A3A3A; margin-bottom: 10px" onmousedown="PropertyChangesFromPanel(this, 'TextColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                        </div>

                                                                                    </li>
                                                                                </ul>

                                                                            </div>
                                                                        </div>
                                                                        <div style="margin-left: 8px; margin-top: 5px">
                                                                            <label style="font-size: 11px; font-weight: normal">Text</label>
                                                                        </div>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </div>
                                        </td>

                                        <td>
                                            <div data-bind="style: { backgroundColor: boldDivColor }" style="width: 45px; height: 45px; margin-left: 22px; border: 1px solid; border-color: #bbbcbb" onmousedown="PropertyChangesFromPanel(this, 'Bold')" onmouseover="MouseEnterOnDiv(this,'bold','icon-Pi__Bold')" onmouseout="MouseLeaveFromDiv(this,'bold','icon-Pi__Bold')">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <div style="margin-top: 10px; margin-left: 3px;">
                                                                <span id="Span5" class="icon-Pi__Bold propertyPanelIconStyle" data-bind="style: { color: boldfontColor }"></span>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <div style="margin-top: 11px; margin-left: 8px">
                                                                <label style="font-size: 11px; font-weight: normal">Bold</label>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </div>
                                        </td>

                                        <td>
                                            <div data-bind="style: { backgroundColor: italicDivColor }" style="width: 45px; height: 45px; margin-left: 22px; border: 1px solid; border-color: #bbbcbb" onmousedown="PropertyChangesFromPanel(this, 'Italic')" onmouseover="MouseEnterOnDiv(this,'italic','icon-Pi__Italic')" onmouseout="MouseLeaveFromDiv(this,'italic','icon-Pi__Italic')">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <div style="margin-top: 10px; margin-left: 3px;">
                                                                <span id="Span6" class="icon-Pi__Italic propertyPanelIconStyle" data-bind="style: { color: italicfontColor }"></span>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <div style="margin-top: 10px; margin-left: 8px">
                                                                <label style="font-size: 11px; font-weight: normal">Italic</label>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </div>
                                        </td>
                                    </tr>
                                </table>
                                <table style="margin-top: 20px">
                                    <tr>
                                        <td>
                                            <div style="margin-top: 30px; margin-left: 10px">
                                                <label style="font-weight: normal">Font</label>
                                            </div>
                                        </td>
                                        <td>
                                            <div style="margin-top: 25px; margin-left: 10px">
                                                <input type="text" id="fontStylelist" style="width: 150px; text-indent: 8px;" />
                                                <div id="fontStylelistDiv">
                                                    <ul>
                                                        <li>Arial</li>
                                                        <li>Aharoni</li>
                                                        <li>Bell MT</li>
                                                        <li>Fantasy</li>
                                                        <li>Times New Roman</li>
                                                        <li>Segoe UI</li>
                                                        <li>Verdana</li>
                                                    </ul>
                                                </div>
                                            </div>
                                        </td>
                                    </tr>

                                </table>
                                <table>
                                    <tr>
                                        <td>
                                            <div style="margin-top: 30px; margin-left: 10px">
                                                <label style="font-weight: normal">Size</label>
                                            </div>
                                        </td>
                                        <td>
                                            <div style="margin-top: 25px; margin-left: 15px">
                                                <input type="text" id="fontsizelist" style="width: 100px; text-indent: 8px;" />
                                                <div id="fontsizelistDiv">
                                                    <ul>
                                                        <li>8</li>
                                                        <li>9</li>
                                                        <li>10</li>
                                                        <li>11</li>
                                                        <li>12</li>
                                                        <li>13</li>
                                                        <li>14</li>
                                                        <li>15</li>
                                                        <li>16</li>
                                                        <li>17</li>
                                                        <li>18</li>
                                                        <li>19</li>
                                                        <li>20</li>
                                                    </ul>
                                                </div>

                                            </div>
                                        </td>
                                    </tr>
                                </table>
                                <div>
                                    <div style="margin-top: 20px">

                                        <label class="label" style="margin-top: 20px; font-size: 15px; font-weight: bold; color: #1E989E">Align</label>
                                    </div>
                                </div>
                                <table style="margin-top: 15px">
                                    <tr>
                                        <td>
                                            <div data-bind="style: { backgroundColor: textLeftAlignDiv }" style="width: 45px; height: 45px; border: 1px solid; border-color: #bbbcbb; margin-left: 5px" onmousedown="PropertyChangesFromPanel(this, 'AlignTextLeft')" onmouseover="MouseEnterOnDiv(this,'alignTextLeft','icon-Pi__Text-LeftAlgin')" onmouseout="MouseLeaveFromDiv(this,'alignTextLeft','icon-Pi__Text-LeftAlgin')">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <div style="margin-top: 10px; margin-left: 3px;">
                                                                <span id="Span7" class="icon-Pi__TextLeftAlgin propertyPanelIconStyle" data-bind="style: { color: textLeftAlignfont }"></span>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </div>
                                        </td>

                                        <td>
                                            <div data-bind="style: { backgroundColor: textCenterAlignDiv }" style="width: 45px; height: 45px; margin-left: 22px; border: 1px solid; border-color: #bbbcbb;" onmousedown="PropertyChangesFromPanel(this, 'AlignTextCenter')" onmouseover="MouseEnterOnDiv(this,'alignTextCenter','icon-Pi__Text-CenterAlgin')" onmouseout="MouseLeaveFromDiv(this,'alignTextCenter','icon-Pi__Text-CenterAlgin')">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <div style="margin-top: 10px; margin-left: 3px;">
                                                                <span id="Span8" class="icon-Pi__TextCenterAlgin propertyPanelIconStyle" data-bind="style: { color: textCenterAlignfont }"></span>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </div>
                                        </td>

                                        <td>
                                            <div data-bind="style: { backgroundColor: textRightAlignDiv }" style="width: 45px; height: 45px; margin-left: 22px; border: 1px solid; border-color: #bbbcbb;" onmousedown="PropertyChangesFromPanel(this, 'AlignTextRight')" onmouseover="MouseEnterOnDiv(this,'alignTextRight','icon-Pi__TextRightAlgin')" onmouseout="MouseLeaveFromDiv(this,'alignTextRight','icon-Pi__TextRightAlgin')">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <div style="margin-top: 10px; margin-left: 3px;">
                                                                <span id="Span2" class="icon-Pi__TextRightAlgin propertyPanelIconStyle" data-bind="style: { color: textRightAlignfont }"></span>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </div>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </div>

                        <div id="lineprop" class="MenuSize SubMenuSize">
                            <div style="margin-left: -11px">
                                <div>
                                    <div>

                                        <label class="label" style="margin-top: 20px; font-size: 15px; font-weight: bold; color: #1E989E">Connector</label>
                                    </div>
                                </div>
                                <table style="margin-top: 20px;">
                                    <tr>
                                        <td>
                                            <div data-bind="style: { backgroundColor: lineDivColor }" style="width: 45px; height: 45px; margin-left: 5px; border: 1px solid; border-color: #bbbcbb;" onmouseover="MouseEnterOnDiv(this,'lineColor','icon-Pi__Fill')" onmouseout="MouseLeaveFromDiv(this,'lineColor','icon-Pi__Fill')">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <div style="margin-top: 8px; margin-left: -1px;">
                                                                            <span id="lineFillIcon" class="icon-Pi__Fill fillIconStyle" data-bind="style: { color: lineColor }"></span>
                                                                        </div>
                                                                        <div style="margin-top: -33px">
                                                                            <span class="icon-Pi__Button-Corner" data-bind="style: { color: lineColorCorner }"></span>
                                                                        </div>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>
                                                                        <div class="dropdownPositionStyle">
                                                                            <input type="text" id="lineColor" style="width: 0px" />
                                                                            <div id="lineColorDiv">

                                                                                <ul>
                                                                                    <li style="background-color: transparent">
                                                                                        <div style="margin-left: 6px">
                                                                                            <div class="subDiv" id="Div13" style="background-color: #0C0C0C; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div50" style="background-color: #262626; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div51" style="background-color: #E5E5E5; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div52" style="background-color: #FFFFFF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div53" style="background-color: #CC0000; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div54" style="background-color: #FF0000; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div55" style="background-color: #FF9999; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div56" style="background-color: #F9D9D9; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div57" style="background-color: #994C00; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div58" style="background-color: #FF8000; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div59" style="background-color: #FCC088; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div60" style="background-color: #FFE6CC; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div78" style="background-color: #999900; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div79" style="background-color: #CCCC00; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div80" style="background-color: #FFFF33; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div81" style="background-color: #FFFF99; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div82" style="background-color: #006600; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div83" style="background-color: #66CC00; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div84" style="background-color: #99FF33; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div85" style="background-color: #CCFFCC; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div86" style="background-color: #009999; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div87" style="background-color: #00CCCC; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div142" style="background-color: #66FFFF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div143" style="background-color: #CCFFFF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div144" style="background-color: #000066; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div145" style="background-color: #3333FF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div146" style="background-color: #7E7EFC; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div147" style="background-color: #D4D4F9; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div148" style="background-color: #4C0099; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div149" style="background-color: #7F00FF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div150" style="background-color: #CC99FF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div151" style="background-color: #E5CCFF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div152" style="background-color: #990099; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div153" style="background-color: #FF00FF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div154" style="background-color: #FF99FF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div155" style="background-color: #FFCCFF; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div156" style="background-color: #99004D; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div157" style="background-color: #FF0080; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div158" style="background-color: #FF66B3; border: 1px solid; border-color: #3A3A3A" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                            <div class="subDiv" id="Div159" style="background-color: #FFCCE6; border: 1px solid; border-color: #3A3A3A; margin-bottom: 10px" onmousedown="PropertyChangesFromPanel(this, 'LineStrokeColor')" onmouseover="MouseEnterOnColorPalette(this)" onmouseout="MouseLeaveOnColorPalette(this)"></div>
                                                                                        </div>

                                                                                    </li>
                                                                                </ul>

                                                                            </div>
                                                                        </div>
                                                                        <div style="margin-left: -6px; margin-top: 5px">
                                                                            <label style="font-size: 11px; font-weight: normal">Line Color</label>
                                                                        </div>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </div>
                                        </td>
                                        <td>
                                            <div data-bind="style: { backgroundColor: lineconnectorDivColor }" style="width: 45px; height: 45px; margin-left: 22px; border: 1px solid; border-color: #bbbcbb;" onmouseover="MouseEnterOnDiv(this,'line','icon-Pi__Connector1')" onmouseout="MouseLeaveFromDiv(this,'line','icon-Pi__Connector1')">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <div style="margin-top: 9px; margin-left: 3px;">
                                                                <span id="ConnectorListIcon" class="icon-Pi__Connector1 propertyPanelIconStyle" data-bind="style: { color: lineconnectorfontColor }"></span>
                                                            </div>
                                                            <div style="margin-top: -31px; margin-left: 1px;">
                                                                <span class="icon-Pi__Button-Corner" data-bind="style: { color: lineconnectorCornerColor }"></span>
                                                            </div>
                                                        </td>
                                                    </tr>

                                                    <tr>
                                                        <td>
                                                            <div class="dropdownPositionStyle">
                                                                <input type="text" id="line" style="width: 0px" />
                                                                <div id="lineDiv" style="background-color: red">
                                                                    <ul>
                                                                        <li>
                                                                            <div style="margin-top: 5px">
                                                                                <span class="icon-Con__Stright"></span>
                                                                                <label>Straight</label>
                                                                            </div>
                                                                        </li>
                                                                        <li>
                                                                            <div style="margin-top: 5px">
                                                                                <span class="icon-Con__Bezier"></span>
                                                                                <label>Bezier</label>
                                                                            </div>
                                                                        </li>
                                                                        <li>
                                                                            <div style="margin-top: 5px">
                                                                                <span class="icon-Con__Orthogonal"></span>
                                                                                <label>Orthogonal</label>
                                                                            </div>
                                                                        </li>

                                                                    </ul>


                                                                </div>
                                                            </div>
                                                            <div style="margin-top: 5px; margin-left: 10px;">
                                                                <label style="font-size: 11px; font-weight: normal">Type</label>
                                                            </div>
                                                        </td>

                                                    </tr>
                                                </table>
                                            </div>
                                        </td>
                                        <td>
                                            <div data-bind="style: { backgroundColor: lineWidthDivColor }" style="width: 45px; height: 45px; margin-left: 22px; border: 1px solid; border-color: #bbbcbb;" onmouseover="MouseEnterOnDiv(this,'lineWidth','icon-Pi__Line-Width')" onmouseout="MouseLeaveFromDiv(this,'lineWidth','icon-Pi__Line-Width')">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <div style="margin-top: 9px; margin-left: 3px;">
                                                                <span id="Span10" class="icon-Pi__LineWidth propertyPanelIconStyle" data-bind="style: { color: lineWidthfontColor }"></span>
                                                            </div>
                                                            <div style="margin-top: -31px; margin-left: 1px;">
                                                                <span class="icon-Pi__Button-Corner" data-bind="style: { color: lineWidthCornerColor }"></span>
                                                            </div>

                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <div class="dropdownPositionStyle">
                                                                <input type="text" id="lineWidth" style="width: 0px" />
                                                                <div id="lineWidthDiv">
                                                                    <ul>
                                                                        <li style="height: 25px">
                                                                            <div style="margin-top: 3px">
                                                                                <label style="font-weight: bold">1 px</label>
                                                                                <div style="background-color: black; width: 45px; height: 1px; float: right; margin-top: 11px; margin-left: 20px; margin-right: 5px"></div>
                                                                            </div>
                                                                        </li>
                                                                        <li style="height: 25px">
                                                                            <div style="margin-top: 3px">
                                                                                <label style="font-weight: bold">2 px</label>
                                                                                <div style="background-color: black; width: 45px; height: 2px; float: right; margin-top: 9px; margin-left: 20px; margin-right: 5px"></div>
                                                                            </div>
                                                                        </li>
                                                                        <li style="height: 25px">
                                                                            <div style="margin-top: 3px">
                                                                                <label style="font-weight: bold">3 px</label>
                                                                                <div style="background-color: black; width: 45px; height: 3px; float: right; margin-top: 9px; margin-left: 20px; margin-right: 5px"></div>
                                                                            </div>
                                                                        </li>
                                                                        <li style="height: 25px">
                                                                            <div style="margin-top: 3px;">
                                                                                <label style="font-weight: bold">4 px</label>
                                                                                <div style="background-color: black; width: 45px; height: 4px; float: right; margin-top: 10px; margin-left: 20px; margin-right: 5px"></div>
                                                                            </div>
                                                                        </li>
                                                                        <li style="height: 25px">
                                                                            <div style="margin-top: 3px;">
                                                                                <label style="font-weight: bold">5 px</label>
                                                                                <div style="background-color: black; width: 45px; height: 5px; float: right; margin-top: 9px; margin-left: 20px; margin-right: 5px"></div>
                                                                            </div>
                                                                        </li>
                                                                        <li style="height: 25px">
                                                                            <div style="margin-top: 3px;">
                                                                                <label style="font-weight: bold">6 px</label>
                                                                                <div style="background-color: black; width: 45px; height: 6px; float: right; margin-top: 8px; margin-left: 20px; margin-right: 5px"></div>
                                                                            </div>
                                                                        </li>
                                                                        <li style="height: 25px">
                                                                            <div style="margin-top: 3px">
                                                                                <label style="font-weight: bold">7 px</label>
                                                                                <div style="background-color: black; width: 45px; height: 7px; float: right; margin-top: 8px; margin-left: 20px; margin-right: 5px"></div>
                                                                            </div>
                                                                        </li>
                                                                        <li style="height: 25px">
                                                                            <div style="margin-top: 3px;">
                                                                                <label style="font-weight: bold">8 px</label>
                                                                                <div style="background-color: black; width: 45px; height: 8px; float: right; margin-top: 7px; margin-left: 20px; margin-right: 5px"></div>
                                                                            </div>
                                                                        </li>
                                                                    </ul>
                                                                </div>
                                                            </div>
                                                            <div style="margin-left: -2px; margin-top: 5px">
                                                                <label style="font-size: 11px; font-weight: normal">Thickness</label>
                                                            </div>
                                                        </td>

                                                    </tr>
                                                </table>
                                            </div>

                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <div data-bind="style: { backgroundColor: headDecoratorDivColor }" style="width: 45px; height: 45px; border: 1px solid; border-color: #bbbcbb; margin-left: 5px; margin-top: 40px" onmouseover="MouseEnterOnDiv(this,'headDecorator','icon-Pi__Head')" onmouseout="MouseLeaveFromDiv(this,'headDecorator','icon-Pi__Head')">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <div style="margin-top: 9px; margin-left: 3px;">
                                                                <span class="icon-Pi__Head propertyPanelIconStyle" data-bind="style: { color: headDecoratorfontColor }"></span>
                                                            </div>
                                                            <div style="margin-top: -31px; margin-left: 1px;">
                                                                <span class="icon-Pi__Button-Corner" data-bind="style: { color: headDecoratorCornerColor }"></span>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <div class="dropdownPositionStyle">
                                                                <input type="text" id="headDecorator" />
                                                                <div id="headDecoratorDiv">
                                                                    <ul>
                                                                        <li>
                                                                            <span class="icon-Con__Line decoratorIcons"></span>
                                                                        </li>
                                                                        <li>
                                                                            <span class="icon-Con__HeadArrow-fill decoratorIcons"></span>
                                                                        </li>
                                                                        <li>
                                                                            <span class="icon-Con__Headsguer-fill-10 decoratorIcons"></span>
                                                                        </li>
                                                                        <li>
                                                                            <span class="icon-Con__Headsguer-fill-11 decoratorIcons"></span>
                                                                        </li>

                                                                        <li>
                                                                            <span class="icon-Con__HeadArrow2-fill decoratorIcons"></span>
                                                                        </li>
                                                                        <li>
                                                                            <span class="icon-Con__HeadArrow-line decoratorIcons"></span>
                                                                        </li>
                                                                        <li>
                                                                            <span class="icon-Con__Headsguer-line decoratorIcons"></span>
                                                                        </li>
                                                                        <li>
                                                                            <span class="icon-Con__Headround-line decoratorIcons"></span>
                                                                        </li>

                                                                        <li>
                                                                            <span class="icon-Con__HeadArrow2-line decoratorIcons"></span>

                                                                        </li>

                                                                    </ul>


                                                                </div>
                                                            </div>
                                                            <div style="margin-left: 8px; margin-top: 5px">
                                                                <label style="font-size: 11px; font-weight: normal;">Head</label>
                                                            </div>
                                                        </td>

                                                    </tr>
                                                </table>
                                            </div>
                                        </td>
                                        <td>
                                            <div data-bind="style: { backgroundColor: lineStyleDivColor }" style="width: 45px; height: 45px; border: 1px solid; border-color: #bbbcbb; margin-left: 22px; margin-top: 40px" onmouseover="MouseEnterOnDiv(this,'lineStyle','icon-Pi__Line-Style')" onmouseout="MouseLeaveFromDiv(this,'lineStyle','icon-Pi__Line-Style')">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <div style="margin-top: 10px; margin-left: 3px;">
                                                                <span class="icon-Pi__LineStyle propertyPanelIconStyle" data-bind="style: { color: lineStylefontColor }"></span>
                                                            </div>
                                                            <div style="margin-top: -32px; margin-left: 1px;">
                                                                <span class="icon-Pi__Button-Corner" data-bind="style: { color: lineStyleCornerColor }"></span>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <div class="dropdownPositionStyle">
                                                                <input type="text" id="lineStyle" style="width: 0px" />
                                                                <div id="lineStyleDiv" style="background-color: red">
                                                                    <ul>
                                                                        <li>
                                                                            <span class="icon-Line_Basic"></span>
                                                                        </li>
                                                                        <li>
                                                                            <span class="icon-Line_Dash"></span>
                                                                        </li>
                                                                        <li>
                                                                            <span class="icon-Line_Dot"></span>
                                                                        </li>
                                                                        <li>
                                                                            <span class="icon-Line_Stylish"></span>
                                                                        </li>

                                                                    </ul>


                                                                </div>
                                                            </div>
                                                            <div style="margin-left: -2px; margin-top: 5px">
                                                                <label style="font-size: 11px; font-weight: normal">Line Style</label>
                                                            </div>
                                                        </td>

                                                    </tr>
                                                </table>
                                            </div>
                                        </td>
                                        <td>
                                            <div data-bind="style: { backgroundColor: tailDecoratorDivColor }" style="width: 45px; height: 45px; border: 1px solid; border-color: #bbbcbb; margin-left: 22px; margin-top: 40px" onmouseover="MouseEnterOnDiv(this,'tailDecorator','icon-Pi__Tail')" onmouseout="MouseLeaveFromDiv(this,'tailDecorator','icon-Pi__Tail')">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <div style="margin-top: 10px; margin-left: 3px;">
                                                                <span class="icon-Pi__Tail propertyPanelIconStyle" data-bind="style: { color: tailDecoratorfontColor }"></span>
                                                            </div>
                                                            <div style="margin-top: -32px; margin-left: 1px;">
                                                                <span class="icon-Pi__Button-Corner" data-bind="style: { color: tailDecoratorCornerColor }"></span>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <div class="dropdownPositionStyle">
                                                                <input type="text" id="tailDecorator" />
                                                                <div id="tailDecoratorDiv">
                                                                    <ul>
                                                                        <li>
                                                                            <span class="icon-Con__Line decoratorIcons"></span>
                                                                        </li>
                                                                        <li>
                                                                            <span class="icon-Con__TailArrow-fill decoratorIcons"></span>
                                                                        </li>
                                                                        <li>
                                                                            <span class="icon-Con__Tailsguer-fill-10 decoratorIcons"></span>
                                                                        </li>
                                                                        <li>
                                                                            <span class="icon-Con__Tailsguer-fill-11 decoratorIcons"></span>
                                                                        </li>

                                                                        <li>
                                                                            <span class="icon-Con__TailArrow2-fill decoratorIcons"></span>
                                                                        </li>
                                                                        <li>
                                                                            <span class="icon-Con__TailArrow-line decoratorIcons"></span>
                                                                        </li>
                                                                        <li>
                                                                            <span class="icon-Con__Tailsguer-line decoratorIcons"></span>
                                                                        </li>
                                                                        <li>
                                                                            <span class="icon-Con__Tailround-line decoratorIcons"></span>
                                                                        </li>

                                                                        <li>
                                                                            <span class="icon-Con__TailArrow2-line decoratorIcons"></span>
                                                                        </li>

                                                                    </ul>


                                                                </div>
                                                            </div>
                                                            <div style="margin-left: 13px; margin-top: 5px">
                                                                <label style="font-size: 11px; font-weight: normal">Tail</label>
                                                            </div>
                                                        </td>

                                                    </tr>
                                                </table>
                                            </div>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </div>
                    </div>

                </div>
            </div>

        </div>

        <div id="dialogBrowse" title="More Shapes">

            <div class="control">
                Select a file to upload
                <div class="posupload">
                    <div id="UploadDiv"></div>
                </div>

            </div>
        </div>
        <div id="confirmDialog" title="Save" style="margin-left: 12px; margin-top: 12px; text-align: center">

            <div style="height: 30px; width: 100%; font-size: 16px;">
                Do you want to save the changes?
            </div>

            <div style="height: 40px; margin-bottom: 6px; margin-top: 11px; width: 100%;">
                <input type="button" id="confirm" onclick="new_SaveFileAsString()" value="Yes" style="background-color: #28B1BF; border: medium none; color: #FFFFFF; font-family: Segoe UI; font-size: 16px; height: 29px; margin-left: 50px; width: 90px;" />
                <input type="button" id="confirm_no" onclick="new_No()" value="No" style="background-color: #28B1BF; border: medium none; color: #FFFFFF; font-family: Segoe UI; font-size: 16px; height: 29px; margin-right: 50px; margin-left: 10px; margin-top: auto; width: 90px;" />
            </div>
        </div>
        <div id="expand_splitter" class="expand_splitter">
            <div class="rotate_span">Symbol Palette </div>
        </div>

        <div id="subControl_Div">
            <span class="">Browse the image to upload.  </span>
            <div id="uploadImage"></div>
            <span class="file_support">PNG,JPG and GIF files supported.</span>
        </div>

        <div style="display: none;">
            <ej:Dialog ID="insertLink" runat="server" ShowOnInit="false" EnableModal="true" ClientSideOnClose="onDialogClose" Width="550">
                <DialogContent>
                    <div title="Hyperlink" style="display: none;">
                        <table>
                            <tr style="height: 50px;">
                                <td><span class="insertLink">Web Address :</span></td>
                                <td>
                                    <input id="navigateURL" type="text" class="insertLink" autofocus="autofocus" value="http://" style="width: 420px; height: 20px; border: 1px solid gray;" /></td>
                            </tr>
                            <tr style="text-align: right">
                                <td></td>
                                <td>
                                    <input class="insertLinkOk" type="button" value="Apply" onclick="insertlink()" />
                                    <input class="insertLinkcancel" type="button" value="Cancel" onclick="cancellink()" />
                                </td>
                            </tr>
                        </table>

                    </div>
                </DialogContent>
            </ej:Dialog>
        </div>

        <ej:Dialog ID="basicDialog" runat="server" ShowOnInit="false" EnableModal="true" ClientSideOnClose="onDialogClose" Width="451">
            <DialogContent>
                <div title="Save" style="margin-left: 12px; margin-top: 12px;">

                    <div style="height: 30px; width: 100%; font-size: 16px;">
                        File Name
                    </div>
                    <div style="border: 1px solid #D3D1D1; height: 30px; width: 100%;">
                        <input type="text" id="SaveFileName" value="" style="margin-top: 2px; margin-left: 6px; width: 390px; height: 23px; border: none; outline: none;" />
                    </div>
                    <div style="height: 30px; margin-bottom: 6px; margin-top: 11px; width: 100%;">
                        <input type="button" id="SaveFile" onclick="saveFileAsString()" value="Save" style="background-color: #28B1BF; border: medium none; color: #FFFFFF; font-family: Segoe UI; font-size: 16px; height: 29px; margin-left: 136px; width: 90px;" />
                    </div>
                </div>
            </DialogContent>
        </ej:Dialog>
        <ej:Dialog ID="basicDialog1" runat="server" ShowOnInit="false" EnableModal="true" ClientSideOnClose="onDialogClose" Width="451">
            <DialogContent>
                <div title="Save" style="margin-left: 12px; margin-top: 12px;">

                    <div style="height: 30px; width: 100%; font-size: 16px;">
                        File Name
                    </div>
                    <div style="border: 1px solid #D3D1D1; height: 30px; width: 100%;">
                        <input type="text" id="SaveFileName1" value="" style="margin-top: 2px; margin-left: 6px; width: 390px; height: 23px; border: none; outline: none;" />
                    </div>
                    <div style="height: 30px; margin-bottom: 6px; margin-top: 11px; width: 100%;">
                        <input type="button" id="SaveFile1" onclick="new_saveOptions()" value="Save" style="background-color: #28B1BF; border: medium none; color: #FFFFFF; font-family: Segoe UI; font-size: 16px; height: 29px; margin-left: 136px; width: 90px;" />
                    </div>
                </div>
            </DialogContent>
        </ej:Dialog>
        <ej:Dialog ID="basicDialogToLoad" runat="server" ShowOnInit="false" EnableModal="true" ClientSideOnClose="onDialogClose" Width="550">
            <DialogContent>
                <div title="Load" style="">
                    <br />
                    <table style="margin-left: 50px">
                        <tr>
                            <td>Select a file to upload
                            </td>
                            <td>
                                <div>
                                    <div id="UploadDefault"></div>
                                </div>
                            </td>

                        </tr>
                    </table>
                    <br />
                </div>
            </DialogContent>
        </ej:Dialog>

        <div id="showMinimizedPlatedItemsparent" style="">
            <div id="no_match_found" style="height: 30px; width: 100%; display: none; text-align: center;">
                <div style="height: 6px; width: 100%;"></div>
                <span style="font-size: 13px; font-style: italic; height: 30px;">No matches found..</span>

            </div>
            <div id="maxi_Search" style="background-color: white;"></div>
            <div id="basicShapes_Search"></div>
            <div id="umlShapes_Search"></div>
            <div id="flowShapes_search"></div>
            <div id="electrical_Search"></div>
            <div id="bpmnShapes_Search"></div>
            <div id="connectors_Search"></div>
            <div id="intelligent_Search"></div>
            <div id="Overview-div2" class="Overview-div">
                <ej:Overview ID="minOverview" runat="server" Height="172px" Width="232px"></ej:Overview>
                <table cellpadding="3px">
                    <tr>
                        <td><span class="sliderValue"></span></td>
                        <td>
                            <ej:Slider ID="minSlider" runat="server" Height="8px" Width="182px" MinValue="25" MaxValue="400" Value="100" ClientSideOnChange="OnChange" ClientSideOnSlide="OnChange" ClientSideOnCreate="OnCreate"></ej:Slider>
                        </td>
                    </tr>
                </table>
            </div>

        </div>

        <ej:Dialog ID="FileOpenDialog" runat="server" ShowOnInit="false" EnableModal="true" ClientSideOnClose="onDialogClose" Width="350" Height="400">
            <DialogContent>
                <div style="height: 100%; width: 100%;" title="Open">
                    <div id="parent_tree">
                        <ul id="FileTreeView">
                        </ul>
                    </div>
                    <div style="height: 30px; margin-left: -16px; margin-top: 13px; width: 100%;">
                        <input type="button" id="fileOpen" onclick="onFileItemSelected()    " value="Open" style="background-color: #28B1BF; border: medium none; color: #FFFFFF; font-family: Segoe UI; font-size: 16px; height: 29px; margin-left: 136px; width: 90px;" />
                    </div>
                </div>
            </DialogContent>
        </ej:Dialog>

    </form>
</body>
</html>
