﻿var nodes = ej.datavisualization.Diagram.NodeCollection();
var connectors = ej.datavisualization.Diagram.ConnectorCollection();
function getLayoutNodes() {
    nodes = createNodes();
    var link1 = ej.datavisualization.Diagram.Connector();
    link1.headNode = nodes[0];
    link1.headPort = nodes[0].ports[0];
    link1.tailNode = nodes[1];
    link1.tailPort = nodes[1].ports[0];
    link1.name = "link1";
    link1.line = ej.datavisualization.Diagram.Lines.Straight(ej.datavisualization.Diagram.Point(100, 130), ej.datavisualization.Diagram.Point(100, 210));
    nodes[0].outEdges.add(link1);
    nodes[1].inEdges.add(link1);

    var link2 = ej.datavisualization.Diagram.Connector();
    link2.headNode = nodes[0];
    link2.tailNode = nodes[2];
    link2.headPort = nodes[0].ports[0];;
    link2.tailPort = nodes[2].ports[0];;
    link2.name = "link2";
    link2.line = ej.datavisualization.Diagram.Lines.Straight(ej.datavisualization.Diagram.Point(100, 130), ej.datavisualization.Diagram.Point(100, 210));
    nodes[0].outEdges.add(link2);
    nodes[2].inEdges.add(link2);


    var link3 = ej.datavisualization.Diagram.Connector();
    link3.headNode = nodes[0];
    link3.tailNode = nodes[3];
    link3.headPort = nodes[0].ports[0];;
    link3.tailPort = nodes[3].ports[0];;
    link3.name = "link3";
    link3.line = ej.datavisualization.Diagram.Lines.Straight(ej.datavisualization.Diagram.Point(100, 130), ej.datavisualization.Diagram.Point(100, 210));
    nodes[0].outEdges.add(link3);
    nodes[3].inEdges.add(link3);

    var link4 = ej.datavisualization.Diagram.Connector();
    link4.headNode = nodes[1];
    link4.tailNode = nodes[4];
    link4.headPort = nodes[1].ports[0];;
    link4.tailPort = nodes[4].ports[0];;
    link4.name = "link4";
    link4.line = ej.datavisualization.Diagram.Lines.Straight(ej.datavisualization.Diagram.Point(100, 130), ej.datavisualization.Diagram.Point(100, 210));
    nodes[1].outEdges.add(link4);
    nodes[4].inEdges.add(link4);

    var link5 = ej.datavisualization.Diagram.Connector();
    link5.headNode = nodes[1];
    link5.tailNode = nodes[5];
    link5.headPort = nodes[1].ports[0];;
    link5.tailPort = nodes[5].ports[0];;
    link5.name = "link5";
    link5.line = ej.datavisualization.Diagram.Lines.Straight(ej.datavisualization.Diagram.Point(100, 130), ej.datavisualization.Diagram.Point(100, 210));
    nodes[1].outEdges.add(link5);
    nodes[5].inEdges.add(link5);

    var link6 = ej.datavisualization.Diagram.Connector();
    link6.headNode = nodes[3];
    link6.tailNode = nodes[6];
    link6.headPort = nodes[3].ports[0];;
    link6.tailPort = nodes[6].ports[0];;
    link6.name = "link6";
    link6.line = ej.datavisualization.Diagram.Lines.Straight(ej.datavisualization.Diagram.Point(100, 130), ej.datavisualization.Diagram.Point(100, 210));
    nodes[3].outEdges.add(link6);
    nodes[6].inEdges.add(link6);

    var link7 = ej.datavisualization.Diagram.Connector();
    link7.headNode = nodes[5];
    link7.tailNode = nodes[7];
    link7.headPort = nodes[5].ports[0];;
    link7.tailPort = nodes[7].ports[0];;
    link7.name = "link7";
    link7.line = ej.datavisualization.Diagram.Lines.Straight(ej.datavisualization.Diagram.Point(100, 130), ej.datavisualization.Diagram.Point(100, 210));
    nodes[5].outEdges.add(link7);
    nodes[7].inEdges.add(link7);

    var link8 = ej.datavisualization.Diagram.Connector();
    link8.headNode = nodes[6];
    link8.tailNode = nodes[8];
    link8.headPort = nodes[6].ports[0];;
    link8.tailPort = nodes[8].ports[0];;
    link8.name = "link8";
    link8.line = ej.datavisualization.Diagram.Lines.Straight(ej.datavisualization.Diagram.Point(100, 130), ej.datavisualization.Diagram.Point(100, 210));
    nodes[6].outEdges.add(link8);
    nodes[8].inEdges.add(link8);

    connectors.add(link1);
    connectors.add(link2);
    connectors.add(link3);
    connectors.add(link4);
    connectors.add(link5);
    connectors.add(link6);
    connectors.add(link7);
    connectors.add(link8);
    return nodes;
}

function getLayoutConnectors() {
    return connectors;
}
function getHierAcrchicalLayoutDetails() {
    var layout = {
        type: "hierarchicalTree",
        orientation: "topToBottom",
        horizontalSpacing: 50,
        verticalSpacing: 60,
        marginX: 100,
        marginY: 100,
        borderWidth: 2,
    }
    return layout;
}
function createNodes() {
    for (var i = 0; i < 9; i++) {
        var node = ej.datavisualization.Diagram.Node();
        node.name = "node" + i;
        node.width = 100;
        node.height = 100;
        nodes.add(node);
    }
    return nodes;
}
function getNodes() {
    return nodes;
}
function drpselectchange(evt) {
    var nodes = getNodes();
    var layoutDetails = getHierAcrchicalLayoutDetails();
    var ch = evt.text;
    switch (ch) {
        case "Top to Bottom":
            layoutDetails.orientation = "topToBottom";
            break;
        case "Bottom to Top":
            layoutDetails.orientation = "bottomToTop";
            break;
        case "Left to Right":
            layoutDetails.orientation = "leftToRight";
            break;
        case "Right to Left":
            layoutDetails.orientation = "rightToLeft";
            break;
        default:
            break;
    }
    var diagram = $("#diagramDiv").ejDiagram("instance");
    diagram.setLayout(layoutDetails);
}


function selectDropDown() {
    var layoutDetails = getHierAcrchicalLayoutDetails();
    var index = 0;
    if (layoutDetails.orientation == "topToBottom")
        index = 0;
    else if (layoutDetails.orientation == "bottomToTop")
        index = 1;
    else if (layoutDetails.orientation == "leftToRight")
        index = 2;
    else if (layoutDetails.orientation == "rightToLeft")
        index = 3;
    target = $('#type').data("ejDropDownList");
    target.selectItemByIndex(index);
}